GNU bug report logs - #34523
Add tetrinet

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: <pkill9@HIDDEN>; dated Mon, 18 Feb 2019 06:58:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 30 Jun 2019 09:33:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 05:33:37 2019
Received: from localhost ([127.0.0.1]:45366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhWDF-0003cC-S0
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 05:33:37 -0400
Received: from aibo.runbox.com ([91.220.196.211]:43780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1hhWDD-0003c3-Nr
 for 34523 <at> debbugs.gnu.org; Sun, 30 Jun 2019 05:33:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:Date:Subject:CC:To:From:
 MIME-Version; bh=rqeiErRJcyggcRvO/Ej4gaJ00KdqSPlY9ZD3+r+Ph6Y=; b=h8z7ZjgjN9O/
 R7A8xQ8bkZvZ3x0ejXHwQCAtYqUn+Xml6YZ1WzUzpfH8P9otRvamYGFXN5RTka2TeiLALd2qeftoo
 ZlC2JZ1zGNgn+zH+uXxQi3rQ0XuJU44Fpa1fH8lS75cSMZR6UJN630/cqWBYkgn8vp6m7nN9Qm8f7
 G9jHIfBUBxZyg80QJW8/qZyOFUrXK/yJslsrn9968WPCysECJqgK0J3apnNEbV0Gp9jOwAwTkWbsl
 3W2Gu+htOn7xa69qxT//o+4WBYxi86wqfwz2Soz2qyO8bRcSjkaWX5TPg6wa0NSS0L7SvYwGPrt0r
 lt/DqByEJFvuTjsMIoet3A==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1hhWD9-0003sG-UE; Sun, 30 Jun 2019 11:33:28 +0200
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1hhWD9-0005ds-T2; Sun, 30 Jun 2019 11:33:27 +0200
MIME-Version: 1.0
Received: from [Authenticated alias (780724)] by runbox.com with http
 (RMM6); Sun, 30 Jun 2019 09:33:27 GMT
From: <pkill9@HIDDEN>
To: "pkill9" <pkill9@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Sun, 30 Jun 2019 10:33:27 +0100 (BST)
X-Mailer: RMM6
Content-Type: multipart/mixed; boundary="----------=_1561887207-17728-1"
Message-Id: <E1hhWD9-0005ds-T2@HIDDEN>
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34523
Cc: swedebugia <swedebugia@HIDDEN>, 34523 <34523 <at> debbugs.gnu.org>,
 me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format...

------------=_1561887207-17728-1
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, 10 Apr 2019 14:07:16 +0100 (BST), <pkill9@HIDDEN> wrote:

> I've attached a patch with an updated source url pointing to the git repo=
sitory which is served via https.

Since this patch no longer applies, I have attached an updated patch that a=
pplies to the guix repository.=

------------=_1561887207-17728-1
Content-Type: text/x-patch; name="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Disposition: attachment;
 filename="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Transfer-Encoding: base64
Content-ID: <07be3b30411c95bfb69834ec1d390f0f>
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------------=_1561887207-17728-1--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 10 Apr 2019 13:07:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 10 09:07:25 2019
Received: from localhost ([127.0.0.1]:52476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hECwn-0003Xz-4T
	for submit <at> debbugs.gnu.org; Wed, 10 Apr 2019 09:07:25 -0400
Received: from aibo.runbox.com ([91.220.196.211]:54546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1hECwi-0003Xn-8N
 for 34523 <at> debbugs.gnu.org; Wed, 10 Apr 2019 09:07:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:Date:Subject:CC:To:From:
 MIME-Version; bh=f5+/sry7OU9eMOnqo1HljL9v7ObgxajfzFDm26EM1l4=; b=g+W4ltbVUzyM
 xNHJesaZmvZ3Lq5EWRafrXris9tY+WhaytfBCdK5EvBJJLR6yX0Szytu57Ni4CuI2bMl9JvOLlI90
 8971laoUFJ3GNtzDy0v36W0Qjvmf0qecAEU4J/dTKLz/NO6JZyjMj5ytpwhsDwavGuAjH1jaE7Z4q
 Rtot5Pm3XjLZJYxRUExWc8poTFe16Xm7Up2hSwa36zsN955IV95H9+Z5BQGYi78Zw7rvHpqFOllWT
 PbPdoh0Fc2pr9YHaYrVQ31AFUChQq5KonZ3p0vAfupJKZ3Hno4DtF9LUzYon5pFagu3lb2j15S9ND
 ru/oFdDhQFTP1KbjW3dcxA==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1hECwe-0002W8-DA; Wed, 10 Apr 2019 15:07:16 +0200
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1hECwe-0005K1-Bj; Wed, 10 Apr 2019 15:07:16 +0200
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Wed, 10 Apr 2019 13:07:16 GMT
From: <pkill9@HIDDEN>
To: "swedebugia" <swedebugia@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Wed, 10 Apr 2019 14:07:16 +0100 (BST)
X-Mailer: RMM6
Content-Type: multipart/mixed; boundary="----------=_1554901636-20106-1"
Message-Id: <E1hECwe-0005K1-Bj@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

This is a multi-part message in MIME format...

------------=_1554901636-20106-1
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I've attached a patch with an updated source url pointing to the git reposi=
tory which is served via https.=

------------=_1554901636-20106-1
Content-Type: text/x-patch; name="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Disposition: attachment;
 filename="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Transfer-Encoding: base64
Content-ID: <89c48dc74ebf772ac0024933b98209e5>
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------------=_1554901636-20106-1--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 31 Mar 2019 11:44:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 31 07:44:50 2019
Received: from localhost ([127.0.0.1]:37826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hAYtK-0003kU-27
	for submit <at> debbugs.gnu.org; Sun, 31 Mar 2019 07:44:50 -0400
Received: from aibo.runbox.com ([91.220.196.211]:50266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1hAYtG-0003kJ-AO
 for 34523 <at> debbugs.gnu.org; Sun, 31 Mar 2019 07:44:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:In-Reply-To:Date:Subject:CC:To:From:MIME-Version
 :Content-Transfer-Encoding:Content-Type;
 bh=Or4n/5YFY2imBZ2qFt6gq0LzJd3Y31abWppcoz9SFVM=; b=fxqlipcvRDyQO1lImr0BSCiAYU
 BCyG33e7E+2C0TKdGpLLV/ApTPr/pi/JezYK3S7H7mTjLpT0DNLFd1ncpo7OeYnCa/BjwoJ8dfOTe
 YXR8rsulQhllK4FEQVqTg2WDsWcMZxLad+hC6LPnsreXs5oWjG8veX9rw0iNg+D8b5MLyWhFQiYjp
 ZAKarCC31K1EdlHdQICqyKTvyAoTXVyOSqSF7cI9+tnSC5GUqaZzMQmzuDIFQNq18zHtjQrtevJXg
 ZJZtgER9md+vA35mYATA0glp9HXcBwayKPSwqWnJd0mQsDast1py48sRFWy9WL4Bic8z+Lf8PVWXc
 /kCS2mcA==;
Received: from [10.9.9.128] (helo=rmmprod06.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1hAYtD-0002Rc-4W; Sun, 31 Mar 2019 13:44:39 +0200
Received: from mail by rmmprod06.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1hAYtD-00083c-32; Sun, 31 Mar 2019 13:44:39 +0200
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Sun, 31 Mar 2019 11:44:39 GMT
From: <pkill9@HIDDEN>
To: "swedebugia" <swedebugia@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Sun, 31 Mar 2019 12:44:39 +0100 (BST)
X-Mailer: RMM6
In-Reply-To: <8C712D22-F104-4594-9404-8C2C4DD8B485@HIDDEN>
Message-Id: <E1hAYtD-00083c-32@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

So I looked at the PureOS page for Tetrinet (https://software.pureos.net/pa=
ckage/source/landing/tetrinet) and the "VCS browser" links to a git reposit=
ory for Tetrinet which is served via https: https://repo.or.cz/tetrinet.git=
, this is linked to on the frontpage of http://tetrinet.or.cz (a link to th=
e README) file, so I'll change the source to use this instead.

On Thu, 28 Feb 2019 05:03:50 +0100, swedebugia <swedebugia@HIDDEN> wrot=
e:

> pkill9@HIDDEN skrev: (27 februari 2019 15:11:20 CET)
> >The Tetrinet maintainer added an SHA1 file:
> >http://tetrinet.or.cz/download/tetrinet-0.11.tar.bz2.sha1
> >
> >On Wed, 27 Feb 2019 07:10:46 +0000 (GMT), <pkill9@HIDDEN> wrote:
> >
> >> > Given that there is no pgp signed tarball or even a checksum on
> >that page,  have you asked the maintainer about this and verified that
> >you got the code unaltered?=20
> >>=20
> >> Ok I emailed the current maintainer according to that page asking to
> >verify that I got the source code unaltered, and to maybe update the
> >page with that info.
> >>=20
> >> On Tue, 26 Feb 2019 21:45:23 +0100, swedebugia
> ><swedebugia@HIDDEN> wrote:
> >>=20
> >> > pkill9@HIDDEN skrev: (26 februari 2019 16:20:28 CET)
> >> > >Hi Swedebugia,
> >> > >
> >> > >> having looked it up online I prefer the WP synopsis:
> >> > >> "TetriNET is a console multiplayer online Tetris game for up to
> >six
> >> > >people."
> >> > >>=20
> >> > >> There is a gnome version also. We should state clearly that this
> >is a
> >> > >> console/text-mode client.
> >> > >
> >> > >What does 'WP' mean?
> >> > >
> >> > >> As an aside I did not find a working server anywhere and the
> >homepage
> >> > >of
> >> > >> the project is dead. There is a possibility to host your own
> >server
> >> > >with
> >> > >> jetrix though.
> >> > >
> >> > >I played Tetrinet with someone over a server, but I can't remember
> >what
> >> > >the address was.
> >> > >
> >> > >You can't access the homepage of the project? I can access
> >> > >http://tetrinet.or.cz fine. Or do you mean it hasn't been updated
> >in
> >> > >ages?
> >> > >
> >> > >> There could be trademark issues with the name/game also see
> >> > >> https://en.wikipedia.org/wiki/The_Tetris_Company
> >> > >
> >> > >Regarding the potential trademark issues, both FSF-approved
> >distros
> >> > >Parabola and PureOS have Tetrinet in their repositories[1][2], so
> >I
> >> > >think it would be acceptable to add it to Guix. And if a copyright
> >> > >claim is made in the future it can always be removed.
> >> > >
> >> > >[1] Tetrinet in Parabola -
> >https://www.parabola.nu/packages/?q=3Dtetrinet
> >> > >[2] Tetrinet in PureOS -
> >> > >https://software.pureos.net/search_pkg?term=3Dtetrinet
> >> > >
> >> > >Thanks
> >> > >
> >> > >On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia
> ><swedebugia@HIDDEN>
> >> > >wrote:
> >> > >
> >> > >> On 2019-02-23 10:26, swedebugia wrote:
> >> > >> > For the sake of making it easy to find when searching
> >synopsies I
> >> > >> > suggest you add "game" to the end of yours.
> >> > >> > --=20
> >> > >> > Sent from my k-9 mail for Android.
> >> > >>=20
> >> > >> having looked it up online I prefer the WP synopsis:
> >> > >> "TetriNET is a console multiplayer online Tetris game for up to
> >six
> >> > >people."
> >> > >>=20
> >> > >> There is a gnome version also. We should state clearly that this
> >is a
> >> > >> console/text-mode client.
> >> > >>=20
> >> > >> As an aside I did not find a working server anywhere and the
> >homepage
> >> > >of
> >> > >> the project is dead. There is a possibility to host your own
> >server
> >> > >with
> >> > >> jetrix though.
> >> > >>=20
> >> > >> There could be trademark issues with the name/game also see
> >> > >> https://en.wikipedia.org/wiki/The_Tetris_Company
> >> > >>=20
> >> > >> --=20
> >> > >> Cheers Swedebugia
> >> >=20
> >> > Hi=20
> >> > I agree with your remarks
> >> > WP =3D wikipedia=20
> >> >=20
> >> > Given that there is no pgp signed tarball or even a checksum on
> >that page,  have you asked the maintainer about this and verified that
> >you got the code unaltered?=20
> >> > --=20
> >> > Sent from my k-9 mail for Android.
>=20
> Good, did you point out that http is easy to spoof?
>=20
> If they are serious about application and distribution security they real=
ly should enable https.
>=20
> I had the same issue with another maintainer serving a hash over http. I =
asked him over email if my hash was correct. This is not perfect out of ban=
d but given most email providers post snowden now use starttls and enforce =
https it is better than nothing.
>=20
> Assuming it is tainted is my default stance with http. I would rather not=
 use it at all and would like a browser that drops it or issue a dire warni=
ng when encountered.=20
> --=20
> Sent from my k-9 mail for Android.






Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 2 Mar 2019 20:10:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 02 15:10:21 2019
Received: from localhost ([127.0.0.1]:57890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h0Axd-0002Zl-Bl
	for submit <at> debbugs.gnu.org; Sat, 02 Mar 2019 15:10:21 -0500
Received: from aibo.runbox.com ([91.220.196.211]:49136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1h0Axa-0002ZZ-SC
 for 34523 <at> debbugs.gnu.org; Sat, 02 Mar 2019 15:10:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:In-Reply-To:Date:Subject:CC:To:From:MIME-Version
 :Content-Transfer-Encoding:Content-Type;
 bh=oAYzfoOb3ACbmn22DWz03fVuPhe62SLMyl9OxDS8Up0=; b=cXf7xBkqG/snRhYxe37fe8xbxK
 LRCTLsWsVdhOxmciMJfxFhNkBEso6AOHnKDNg80FnYKJZLsjHCivcdv6OH/IKMVz9B28ZvrBmMx6u
 dF1lJkpBcYiB0cLW//X36aEA7CEaylgxRWT/4QWxc5ID/jxmavlCNChqbI+0z10CybtP5mmPcEvsp
 3YLjNLNQI9rlV8darCLAfJhnBZLUp8OZrAY8WlVcHxmxYEZUJQFdghtAtgrJ7bcwkNDcrKi+ULaUL
 QLHJOIVzQ1rcj7Yc7/y4GBCprhltidPXOEYTcA/WHx9RtBO9j1sqepAAPJVp8oLlX8beUS7ZTrV1e
 aKEzQ95g==;
Received: from [10.9.9.129] (helo=rmmprod07.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1h0AxX-0000DA-Kj; Sat, 02 Mar 2019 21:10:11 +0100
Received: from mail by rmmprod07.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1h0AxX-0006nh-I7; Sat, 02 Mar 2019 21:10:11 +0100
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Sat, 02 Mar 2019 20:10:11 GMT
From: <pkill9@HIDDEN>
To: "swedebugia" <swedebugia@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Sat, 02 Mar 2019 20:10:11 +0000 (GMT)
X-Mailer: RMM6
In-Reply-To: <8C712D22-F104-4594-9404-8C2C4DD8B485@HIDDEN>
Message-Id: <E1h0AxX-0006nh-I7@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This was their reply:

```
Hi,

I'm not sure how it confirms its validity further :), but it's:
2fb2bfcfe1fc2af82b01b66e2b28a77ad1262c17

The last release of tetrinet was about 15 years ago, this is a purely
legacy archive - I haven't considered adding an https certificate, sorry.
```

On Thu, 28 Feb 2019 05:03:50 +0100, swedebugia <swedebugia@HIDDEN> wrot=
e:

> pkill9@HIDDEN skrev: (27 februari 2019 15:11:20 CET)
> >The Tetrinet maintainer added an SHA1 file:
> >http://tetrinet.or.cz/download/tetrinet-0.11.tar.bz2.sha1
> >
> >On Wed, 27 Feb 2019 07:10:46 +0000 (GMT), <pkill9@HIDDEN> wrote:
> >
> >> > Given that there is no pgp signed tarball or even a checksum on
> >that page,  have you asked the maintainer about this and verified that
> >you got the code unaltered?=20
> >>=20
> >> Ok I emailed the current maintainer according to that page asking to
> >verify that I got the source code unaltered, and to maybe update the
> >page with that info.
> >>=20
> >> On Tue, 26 Feb 2019 21:45:23 +0100, swedebugia
> ><swedebugia@HIDDEN> wrote:
> >>=20
> >> > pkill9@HIDDEN skrev: (26 februari 2019 16:20:28 CET)
> >> > >Hi Swedebugia,
> >> > >
> >> > >> having looked it up online I prefer the WP synopsis:
> >> > >> "TetriNET is a console multiplayer online Tetris game for up to
> >six
> >> > >people."
> >> > >>=20
> >> > >> There is a gnome version also. We should state clearly that this
> >is a
> >> > >> console/text-mode client.
> >> > >
> >> > >What does 'WP' mean?
> >> > >
> >> > >> As an aside I did not find a working server anywhere and the
> >homepage
> >> > >of
> >> > >> the project is dead. There is a possibility to host your own
> >server
> >> > >with
> >> > >> jetrix though.
> >> > >
> >> > >I played Tetrinet with someone over a server, but I can't remember
> >what
> >> > >the address was.
> >> > >
> >> > >You can't access the homepage of the project? I can access
> >> > >http://tetrinet.or.cz fine. Or do you mean it hasn't been updated
> >in
> >> > >ages?
> >> > >
> >> > >> There could be trademark issues with the name/game also see
> >> > >> https://en.wikipedia.org/wiki/The_Tetris_Company
> >> > >
> >> > >Regarding the potential trademark issues, both FSF-approved
> >distros
> >> > >Parabola and PureOS have Tetrinet in their repositories[1][2], so
> >I
> >> > >think it would be acceptable to add it to Guix. And if a copyright
> >> > >claim is made in the future it can always be removed.
> >> > >
> >> > >[1] Tetrinet in Parabola -
> >https://www.parabola.nu/packages/?q=3Dtetrinet
> >> > >[2] Tetrinet in PureOS -
> >> > >https://software.pureos.net/search_pkg?term=3Dtetrinet
> >> > >
> >> > >Thanks
> >> > >
> >> > >On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia
> ><swedebugia@HIDDEN>
> >> > >wrote:
> >> > >
> >> > >> On 2019-02-23 10:26, swedebugia wrote:
> >> > >> > For the sake of making it easy to find when searching
> >synopsies I
> >> > >> > suggest you add "game" to the end of yours.
> >> > >> > --=20
> >> > >> > Sent from my k-9 mail for Android.
> >> > >>=20
> >> > >> having looked it up online I prefer the WP synopsis:
> >> > >> "TetriNET is a console multiplayer online Tetris game for up to
> >six
> >> > >people."
> >> > >>=20
> >> > >> There is a gnome version also. We should state clearly that this
> >is a
> >> > >> console/text-mode client.
> >> > >>=20
> >> > >> As an aside I did not find a working server anywhere and the
> >homepage
> >> > >of
> >> > >> the project is dead. There is a possibility to host your own
> >server
> >> > >with
> >> > >> jetrix though.
> >> > >>=20
> >> > >> There could be trademark issues with the name/game also see
> >> > >> https://en.wikipedia.org/wiki/The_Tetris_Company
> >> > >>=20
> >> > >> --=20
> >> > >> Cheers Swedebugia
> >> >=20
> >> > Hi=20
> >> > I agree with your remarks
> >> > WP =3D wikipedia=20
> >> >=20
> >> > Given that there is no pgp signed tarball or even a checksum on
> >that page,  have you asked the maintainer about this and verified that
> >you got the code unaltered?=20
> >> > --=20
> >> > Sent from my k-9 mail for Android.
>=20
> Good, did you point out that http is easy to spoof?
>=20
> If they are serious about application and distribution security they real=
ly should enable https.
>=20
> I had the same issue with another maintainer serving a hash over http. I =
asked him over email if my hash was correct. This is not perfect out of ban=
d but given most email providers post snowden now use starttls and enforce =
https it is better than nothing.
>=20
> Assuming it is tainted is my default stance with http. I would rather not=
 use it at all and would like a browser that drops it or issue a dire warni=
ng when encountered.=20
> --=20
> Sent from my k-9 mail for Android.






Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 28 Feb 2019 04:04:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 27 23:04:06 2019
Received: from localhost ([127.0.0.1]:54693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzCvS-00070x-Di
	for submit <at> debbugs.gnu.org; Wed, 27 Feb 2019 23:04:06 -0500
Received: from mx1.riseup.net ([198.252.153.129]:57710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gzCvO-00070g-BD
 for 34523 <at> debbugs.gnu.org; Wed, 27 Feb 2019 23:03:59 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 03FB31A1F1D;
 Wed, 27 Feb 2019 20:03:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1551326637; bh=sNbdrqttrsT2ZSkeM351Of6N5ZCvPwoM2lriQ4dNqsc=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=KEMo+cs0aeUoDqrWGQCsoJvbZktdgC8AxqHZ6Htskrxqo5e6r1zuwT94PE33IV6Kt
 vWF5mYV6Zrc78lB6KHqVed2lEtzbWv1VQRuIBWxlVRt8rVneUMMa3PlRxnuLRINDO3
 m4huDH4lJZcNaCnRLByHfcNJbpM6euIi3kW3GuFM=
X-Riseup-User-ID: 1E7C2D557DF6F9B35DD16E36426EF7F23B14F8EEB298C2BD1F5B946DA8DBC482
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id EF01F222BA6;
 Wed, 27 Feb 2019 20:03:55 -0800 (PST)
Date: Thu, 28 Feb 2019 05:03:50 +0100
In-Reply-To: <E1gyzvc-0001tV-3f@HIDDEN>
References: <E1gyzvc-0001tV-3f@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----WGLD5Z5BDJOQTOGHENZKSNA8BEOP4U"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34523] Add tetrinet
To: pkill9@HIDDEN,pkill9 <pkill9@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <8C712D22-F104-4594-9404-8C2C4DD8B485@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------WGLD5Z5BDJOQTOGHENZKSNA8BEOP4U
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

pkill9@runbox=2Ecom skrev: (27 februari 2019 15:11:20 CET)
>The Tetrinet maintainer added an SHA1 file:
>http://tetrinet=2Eor=2Ecz/download/tetrinet-0=2E11=2Etar=2Ebz2=2Esha1
>
>On Wed, 27 Feb 2019 07:10:46 +0000 (GMT), <pkill9@runbox=2Ecom> wrote:
>
>> > Given that there is no pgp signed tarball or even a checksum on
>that page,  have you asked the maintainer about this and verified that
>you got the code unaltered?=20
>>=20
>> Ok I emailed the current maintainer according to that page asking to
>verify that I got the source code unaltered, and to maybe update the
>page with that info=2E
>>=20
>> On Tue, 26 Feb 2019 21:45:23 +0100, swedebugia
><swedebugia@riseup=2Enet> wrote:
>>=20
>> > pkill9@runbox=2Ecom skrev: (26 februari 2019 16:20:28 CET)
>> > >Hi Swedebugia,
>> > >
>> > >> having looked it up online I prefer the WP synopsis:
>> > >> "TetriNET is a console multiplayer online Tetris game for up to
>six
>> > >people=2E"
>> > >>=20
>> > >> There is a gnome version also=2E We should state clearly that this
>is a
>> > >> console/text-mode client=2E
>> > >
>> > >What does 'WP' mean?
>> > >
>> > >> As an aside I did not find a working server anywhere and the
>homepage
>> > >of
>> > >> the project is dead=2E There is a possibility to host your own
>server
>> > >with
>> > >> jetrix though=2E
>> > >
>> > >I played Tetrinet with someone over a server, but I can't remember
>what
>> > >the address was=2E
>> > >
>> > >You can't access the homepage of the project? I can access
>> > >http://tetrinet=2Eor=2Ecz fine=2E Or do you mean it hasn't been upda=
ted
>in
>> > >ages?
>> > >
>> > >> There could be trademark issues with the name/game also see
>> > >> https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_Company
>> > >
>> > >Regarding the potential trademark issues, both FSF-approved
>distros
>> > >Parabola and PureOS have Tetrinet in their repositories[1][2], so
>I
>> > >think it would be acceptable to add it to Guix=2E And if a copyright
>> > >claim is made in the future it can always be removed=2E
>> > >
>> > >[1] Tetrinet in Parabola -
>https://www=2Eparabola=2Enu/packages/?q=3Dtetrinet
>> > >[2] Tetrinet in PureOS -
>> > >https://software=2Epureos=2Enet/search_pkg?term=3Dtetrinet
>> > >
>> > >Thanks
>> > >
>> > >On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia
><swedebugia@riseup=2Enet>
>> > >wrote:
>> > >
>> > >> On 2019-02-23 10:26, swedebugia wrote:
>> > >> > For the sake of making it easy to find when searching
>synopsies I
>> > >> > suggest you add "game" to the end of yours=2E
>> > >> > --=20
>> > >> > Sent from my k-9 mail for Android=2E
>> > >>=20
>> > >> having looked it up online I prefer the WP synopsis:
>> > >> "TetriNET is a console multiplayer online Tetris game for up to
>six
>> > >people=2E"
>> > >>=20
>> > >> There is a gnome version also=2E We should state clearly that this
>is a
>> > >> console/text-mode client=2E
>> > >>=20
>> > >> As an aside I did not find a working server anywhere and the
>homepage
>> > >of
>> > >> the project is dead=2E There is a possibility to host your own
>server
>> > >with
>> > >> jetrix though=2E
>> > >>=20
>> > >> There could be trademark issues with the name/game also see
>> > >> https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_Company
>> > >>=20
>> > >> --=20
>> > >> Cheers Swedebugia
>> >=20
>> > Hi=20
>> > I agree with your remarks
>> > WP =3D wikipedia=20
>> >=20
>> > Given that there is no pgp signed tarball or even a checksum on
>that page,  have you asked the maintainer about this and verified that
>you got the code unaltered?=20
>> > --=20
>> > Sent from my k-9 mail for Android=2E

Good, did you point out that http is easy to spoof?

If they are serious about application and distribution security they reall=
y should enable https=2E

I had the same issue with another maintainer serving a hash over http=2E I=
 asked him over email if my hash was correct=2E This is not perfect out of =
band but given most email providers post snowden now use starttls and enfor=
ce https it is better than nothing=2E

Assuming it is tainted is my default stance with http=2E I would rather no=
t use it at all and would like a browser that drops it or issue a dire warn=
ing when encountered=2E=20
--=20
Sent from my k-9 mail for Android=2E

------WGLD5Z5BDJOQTOGHENZKSNA8BEOP4U
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">pkill9@runbox=2Ecom skr=
ev: (27 februari 2019 15:11:20 CET)<blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204);=
 padding-left: 1ex;">
<pre class=3D"k9mail">The Tetrinet maintainer added an SHA1 file: <a href=
=3D"http://tetrinet=2Eor=2Ecz/download/tetrinet-0=2E11=2Etar=2Ebz2=2Esha1">=
http://tetrinet=2Eor=2Ecz/download/tetrinet-0=2E11=2Etar=2Ebz2=2Esha1</a><b=
r><br>On Wed, 27 Feb 2019 07:10:46 +0000 (GMT), &lt;pkill9@runbox=2Ecom&gt;=
 wrote:<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1=
ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;"><blockquote=
 class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1=
px solid #ad7fa8; padding-left: 1ex;">Given that there is no pgp signed tar=
ball or even a checksum on that page,  have you asked the maintainer about =
this and verified that you got the code unaltered? <br></blockquote><br>Ok =
I emailed the current maintainer according to that page asking to verify th=
at I got the source code unaltered, and to maybe update the page with that =
info=2E<br><br>On Tue, 26 Feb 2019 21:45:23 +0100, swedebugia &lt;swedebugi=
a@riseup=2Enet&gt; wrote:<br><br><blockquote class=3D"gmail_quote" style=3D=
"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #ad7fa8; padding-left:=
 1ex;">pkill9@runbox=2Ecom skrev: (26 februari 2019 16:20:28 CET)<br><block=
quote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-le=
ft: 1px solid #8ae234; padding-left: 1ex;">Hi Swedebugia,<br><br><blockquot=
e class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: =
1px solid #fcaf3e; padding-left: 1ex;">having looked it up online I prefer =
the WP synopsis:<br>"TetriNET is a console multiplayer online Tetris game f=
or up to six<br></blockquote>people=2E"<br><blockquote class=3D"gmail_quote=
" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #fcaf3e; pad=
ding-left: 1ex;"><br>There is a gnome version also=2E We should state clear=
ly that this is a<br>console/text-mode client=2E<br></blockquote><br>What d=
oes 'WP' mean?<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0p=
t 0pt 1ex 0=2E8ex; border-left: 1px solid #fcaf3e; padding-left: 1ex;">As a=
n aside I did not find a working server anywhere and the homepage<br></bloc=
kquote>of<br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex=
 0=2E8ex; border-left: 1px solid #fcaf3e; padding-left: 1ex;">the project i=
s dead=2E There is a possibility to host your own server<br></blockquote>wi=
th<br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8e=
x; border-left: 1px solid #fcaf3e; padding-left: 1ex;">jetrix though=2E<br>=
</blockquote><br>I played Tetrinet with someone over a server, but I can't =
remember what<br>the address was=2E<br><br>You can't access the homepage of=
 the project? I can access<br><a href=3D"http://tetrinet=2Eor=2Ecz">http://=
tetrinet=2Eor=2Ecz</a> fine=2E Or do you mean it hasn't been updated in<br>=
ages?<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex=
 0=2E8ex; border-left: 1px solid #fcaf3e; padding-left: 1ex;">There could b=
e trademark issues with the name/game also see<br><a href=3D"https://en=2Ew=
ikipedia=2Eorg/wiki/The_Tetris_Company">https://en=2Ewikipedia=2Eorg/wiki/T=
he_Tetris_Company</a><br></blockquote><br>Regarding the potential trademark=
 issues, both FSF-approved distros<br>Parabola and PureOS have Tetrinet in =
their repositories[1][2], so I<br>think it would be acceptable to add it to=
 Guix=2E And if a copyright<br>claim is made in the future it can always be=
 removed=2E<br><br>[1] Tetrinet in Parabola - <a href=3D"https://www=2Epara=
bola=2Enu/packages/?q=3Dtetrinet">https://www=2Eparabola=2Enu/packages/?q=
=3Dtetrinet</a><br>[2] Tetrinet in PureOS -<br><a href=3D"https://software=
=2Epureos=2Enet/search_pkg?term=3Dtetrinet">https://software=2Epureos=2Enet=
/search_pkg?term=3Dtetrinet</a><br><br>Thanks<br><br>On Sat, 23 Feb 2019 07=
:23:43 +0100, swedebugia &lt;swedebugia@riseup=2Enet&gt;<br>wrote:<br><br><=
blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; bord=
er-left: 1px solid #fcaf3e; padding-left: 1ex;">On 2019-02-23 10:26, swedeb=
ugia wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1=
ex 0=2E8ex; border-left: 1px solid #e9b96e; padding-left: 1ex;">For the sak=
e of making it easy to find when searching synopsies I<br>suggest you add "=
game" to the end of yours=2E<br>-- <br>Sent from my k-9 mail for Android=2E=
<br></blockquote><br>having looked it up online I prefer the WP synopsis:<b=
r>"TetriNET is a console multiplayer online Tetris game for up to six<br></=
blockquote>people=2E"<br><blockquote class=3D"gmail_quote" style=3D"margin:=
 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #fcaf3e; padding-left: 1ex;"><=
br>There is a gnome version also=2E We should state clearly that this is a<=
br>console/text-mode client=2E<br><br>As an aside I did not find a working =
server anywhere and the homepage<br></blockquote>of<br><blockquote class=3D=
"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid =
#fcaf3e; padding-left: 1ex;">the project is dead=2E There is a possibility =
to host your own server<br></blockquote>with<br><blockquote class=3D"gmail_=
quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #fcaf3e=
; padding-left: 1ex;">jetrix though=2E<br><br>There could be trademark issu=
es with the name/game also see<br><a href=3D"https://en=2Ewikipedia=2Eorg/w=
iki/The_Tetris_Company">https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_Compan=
y</a><br><br>-- <br>Cheers Swedebugia<br></blockquote></blockquote><br>Hi <=
br>I agree with your remarks<br>WP =3D wikipedia <br><br>Given that there i=
s no pgp signed tarball or even a checksum on that page,  have you asked th=
e maintainer about this and verified that you got the code unaltered? <br>-=
- <br>Sent from my k-9 mail for Android=2E<br></blockquote></blockquote><br=
><br></pre></blockquote></div><br clear=3D"all">Good, did you point out tha=
t http is easy to spoof?<br><br>If they are serious about application and d=
istribution security they really should enable https=2E<br><br>I had the sa=
me issue with another maintainer serving a hash over http=2E I asked him ov=
er email if my hash was correct=2E This is not perfect out of band but give=
n most email providers post snowden now use starttls and enforce https it i=
s better than nothing=2E<br><br>Assuming it is tainted is my default stance=
 with http=2E I would rather not use it at all and would like a browser tha=
t drops it or issue a dire warning when encountered=2E <br>-- <br>Sent from=
 my k-9 mail for Android=2E<br></body></html>
------WGLD5Z5BDJOQTOGHENZKSNA8BEOP4U--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 27 Feb 2019 14:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 27 09:11:29 2019
Received: from localhost ([127.0.0.1]:53608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyzvh-00078B-RG
	for submit <at> debbugs.gnu.org; Wed, 27 Feb 2019 09:11:29 -0500
Received: from aibo.runbox.com ([91.220.196.211]:49042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gyzve-000781-MA
 for 34523 <at> debbugs.gnu.org; Wed, 27 Feb 2019 09:11:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Date:Subject:CC:To:From:MIME-Version:
 Content-Transfer-Encoding:Content-Type;
 bh=ey2vlJuJBHURzpxCpt4i/F7gC+FJBUU1YOsVLcLhdzI=; b=o5GCPfb43SbJIKa7KLzdpzPOh5
 HQLDcdgb7T6ee7pRRQ4UiBoJ98p4wRssYxI76xkyLj2FN52Peu35kQj0rdRL3jCDawp+nvt3Zdsrc
 wTOC46RmUEkcooxwtTpnTn2EkVwX0pW43QC823F0bAgWyNp5/pHL0tjRIvNVz+kcSRDVCldZ1cyuX
 TG882xKouJnFEqyOS99a3lyhRJvK1dAn5J/05wLz6iRzzGn5JzwxP75136k6aiPN8OvWsLXAQoiQc
 JqDkQvyfhnBmd+a/9CfS/QjOiah5DlVLLTiuo/q/xB2VLFj8wreHmR5fsBEbHLH/S7uL7xASB6M1d
 ck0dz5Gw==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gyzvc-0004Su-4m; Wed, 27 Feb 2019 15:11:20 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gyzvc-0001tV-3f; Wed, 27 Feb 2019 15:11:20 +0100
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Wed, 27 Feb 2019 14:11:20 GMT
From: <pkill9@HIDDEN>
To: "pkill9" <pkill9@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Wed, 27 Feb 2019 14:11:20 +0000 (GMT)
X-Mailer: RMM6
Message-Id: <E1gyzvc-0001tV-3f@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: swedebugia <swedebugia@HIDDEN>, 34523 <34523 <at> debbugs.gnu.org>,
 me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

The Tetrinet maintainer added an SHA1 file: http://tetrinet.or.cz/download/=
tetrinet-0.11.tar.bz2.sha1

On Wed, 27 Feb 2019 07:10:46 +0000 (GMT), <pkill9@HIDDEN> wrote:

> > Given that there is no pgp signed tarball or even a checksum on that pa=
ge,  have you asked the maintainer about this and verified that you got the=
 code unaltered?=20
>=20
> Ok I emailed the current maintainer according to that page asking to veri=
fy that I got the source code unaltered, and to maybe update the page with =
that info.
>=20
> On Tue, 26 Feb 2019 21:45:23 +0100, swedebugia <swedebugia@HIDDEN> wr=
ote:
>=20
> > pkill9@HIDDEN skrev: (26 februari 2019 16:20:28 CET)
> > >Hi Swedebugia,
> > >
> > >> having looked it up online I prefer the WP synopsis:
> > >> "TetriNET is a console multiplayer online Tetris game for up to six
> > >people."
> > >>=20
> > >> There is a gnome version also. We should state clearly that this is a
> > >> console/text-mode client.
> > >
> > >What does 'WP' mean?
> > >
> > >> As an aside I did not find a working server anywhere and the homepage
> > >of
> > >> the project is dead. There is a possibility to host your own server
> > >with
> > >> jetrix though.
> > >
> > >I played Tetrinet with someone over a server, but I can't remember what
> > >the address was.
> > >
> > >You can't access the homepage of the project? I can access
> > >http://tetrinet.or.cz fine. Or do you mean it hasn't been updated in
> > >ages?
> > >
> > >> There could be trademark issues with the name/game also see
> > >> https://en.wikipedia.org/wiki/The_Tetris_Company
> > >
> > >Regarding the potential trademark issues, both FSF-approved distros
> > >Parabola and PureOS have Tetrinet in their repositories[1][2], so I
> > >think it would be acceptable to add it to Guix. And if a copyright
> > >claim is made in the future it can always be removed.
> > >
> > >[1] Tetrinet in Parabola - https://www.parabola.nu/packages/?q=3Dtetri=
net
> > >[2] Tetrinet in PureOS -
> > >https://software.pureos.net/search_pkg?term=3Dtetrinet
> > >
> > >Thanks
> > >
> > >On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia <swedebugia@HIDDEN>
> > >wrote:
> > >
> > >> On 2019-02-23 10:26, swedebugia wrote:
> > >> > For the sake of making it easy to find when searching synopsies I
> > >> > suggest you add "game" to the end of yours.
> > >> > --=20
> > >> > Sent from my k-9 mail for Android.
> > >>=20
> > >> having looked it up online I prefer the WP synopsis:
> > >> "TetriNET is a console multiplayer online Tetris game for up to six
> > >people."
> > >>=20
> > >> There is a gnome version also. We should state clearly that this is a
> > >> console/text-mode client.
> > >>=20
> > >> As an aside I did not find a working server anywhere and the homepage
> > >of
> > >> the project is dead. There is a possibility to host your own server
> > >with
> > >> jetrix though.
> > >>=20
> > >> There could be trademark issues with the name/game also see
> > >> https://en.wikipedia.org/wiki/The_Tetris_Company
> > >>=20
> > >> --=20
> > >> Cheers Swedebugia
> >=20
> > Hi=20
> > I agree with your remarks
> > WP =3D wikipedia=20
> >=20
> > Given that there is no pgp signed tarball or even a checksum on that pa=
ge,  have you asked the maintainer about this and verified that you got the=
 code unaltered?=20
> > --=20
> > Sent from my k-9 mail for Android.






Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 27 Feb 2019 07:10:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 27 02:10:55 2019
Received: from localhost ([127.0.0.1]:53489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gytMh-0003oE-3F
	for submit <at> debbugs.gnu.org; Wed, 27 Feb 2019 02:10:55 -0500
Received: from aibo.runbox.com ([91.220.196.211]:42040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gytMe-0003o3-Om
 for 34523 <at> debbugs.gnu.org; Wed, 27 Feb 2019 02:10:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:In-Reply-To:Date:Subject:CC:To:From:MIME-Version
 :Content-Transfer-Encoding:Content-Type;
 bh=3HMZPSwc1gQ0Vg7x6gxRClOjAMuAIB/3ihuMdFT/nyQ=; b=hHKCjoTjT4RKzp11WT55a5c9rI
 KBYLbq6VeA2qhp3uUoUJHLxl0CReo96MvIHJ9UuMbitjXZYr/plRZXpLirvyJ93HbcjZSfpFbLgfi
 FCcMn1fe+ZS8SBEWkpn2+xFC1o6yYGCCgnqudpGODG8REUbJZSf07WbeRrR5KO5q/zy5iSUesX0oj
 NGxoRAGXeWYHVTmzjN5OHBI/A1Y+QoNcNWJAg4BUz3D76NZs6xTV4V3IqwTvFERXFx74QbxgLWScj
 oon4XRn6n3ZdKJs20D47gb1RomIHSzKkdcqTWBFTYJsZwFPcEFM0kFhHIV516k2qOFhMsIsmCxsb8
 GfEMRecw==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gytMc-0006PA-OD; Wed, 27 Feb 2019 08:10:46 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gytMc-0007XK-Mz; Wed, 27 Feb 2019 08:10:46 +0100
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Wed, 27 Feb 2019 07:10:46 GMT
From: <pkill9@HIDDEN>
To: "swedebugia" <swedebugia@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Wed, 27 Feb 2019 07:10:46 +0000 (GMT)
X-Mailer: RMM6
In-Reply-To: <190C4B54-2EDE-4B00-B7AF-04DC96F91E2A@HIDDEN>
Message-Id: <E1gytMc-0007XK-Mz@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

> Given that there is no pgp signed tarball or even a checksum on that page=
,  have you asked the maintainer about this and verified that you got the c=
ode unaltered?=20

Ok I emailed the current maintainer according to that page asking to verify=
 that I got the source code unaltered, and to maybe update the page with th=
at info.

On Tue, 26 Feb 2019 21:45:23 +0100, swedebugia <swedebugia@HIDDEN> wrot=
e:

> pkill9@HIDDEN skrev: (26 februari 2019 16:20:28 CET)
> >Hi Swedebugia,
> >
> >> having looked it up online I prefer the WP synopsis:
> >> "TetriNET is a console multiplayer online Tetris game for up to six
> >people."
> >>=20
> >> There is a gnome version also. We should state clearly that this is a
> >> console/text-mode client.
> >
> >What does 'WP' mean?
> >
> >> As an aside I did not find a working server anywhere and the homepage
> >of
> >> the project is dead. There is a possibility to host your own server
> >with
> >> jetrix though.
> >
> >I played Tetrinet with someone over a server, but I can't remember what
> >the address was.
> >
> >You can't access the homepage of the project? I can access
> >http://tetrinet.or.cz fine. Or do you mean it hasn't been updated in
> >ages?
> >
> >> There could be trademark issues with the name/game also see
> >> https://en.wikipedia.org/wiki/The_Tetris_Company
> >
> >Regarding the potential trademark issues, both FSF-approved distros
> >Parabola and PureOS have Tetrinet in their repositories[1][2], so I
> >think it would be acceptable to add it to Guix. And if a copyright
> >claim is made in the future it can always be removed.
> >
> >[1] Tetrinet in Parabola - https://www.parabola.nu/packages/?q=3Dtetrinet
> >[2] Tetrinet in PureOS -
> >https://software.pureos.net/search_pkg?term=3Dtetrinet
> >
> >Thanks
> >
> >On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia <swedebugia@HIDDEN>
> >wrote:
> >
> >> On 2019-02-23 10:26, swedebugia wrote:
> >> > For the sake of making it easy to find when searching synopsies I
> >> > suggest you add "game" to the end of yours.
> >> > --=20
> >> > Sent from my k-9 mail for Android.
> >>=20
> >> having looked it up online I prefer the WP synopsis:
> >> "TetriNET is a console multiplayer online Tetris game for up to six
> >people."
> >>=20
> >> There is a gnome version also. We should state clearly that this is a
> >> console/text-mode client.
> >>=20
> >> As an aside I did not find a working server anywhere and the homepage
> >of
> >> the project is dead. There is a possibility to host your own server
> >with
> >> jetrix though.
> >>=20
> >> There could be trademark issues with the name/game also see
> >> https://en.wikipedia.org/wiki/The_Tetris_Company
> >>=20
> >> --=20
> >> Cheers Swedebugia
>=20
> Hi=20
> I agree with your remarks
> WP =3D wikipedia=20
>=20
> Given that there is no pgp signed tarball or even a checksum on that page=
,  have you asked the maintainer about this and verified that you got the c=
ode unaltered?=20
> --=20
> Sent from my k-9 mail for Android.






Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 27 Feb 2019 07:01:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 27 02:01:20 2019
Received: from localhost ([127.0.0.1]:53482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gytDK-0003aq-FX
	for submit <at> debbugs.gnu.org; Wed, 27 Feb 2019 02:01:20 -0500
Received: from aibo.runbox.com ([91.220.196.211]:41516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gytDH-0003ag-2d
 for 34523 <at> debbugs.gnu.org; Wed, 27 Feb 2019 02:01:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:In-Reply-To:Date:Subject:CC:To:From
 :MIME-Version; bh=829B3TC6oVzXm4LvicboavYWHDkljevpPkWZCPsq5ig=; b=A3BB9jlsWIY
 acBWUjOy0D8ix5G97ptSd+dC8JkmeWLl9CVHw7u+OKmWqfjkdFek0rEmXeXnI7MzInPzJlf5BdT4x
 m/DTCVDFH5Y6aarxPjb6MvO5DFI8meJf9MFZp74iZyQ1Z+0ETeVz2SuSC9BhVOcTxRrEIjkWwfmIm
 h9ZsCx4Dj5h/KdBlYUKAqTWd1aT6fgfkv47sM1tYosZ1TnmKIUtM1+RY1m0V8ZAzp/JuB+hMcU97C
 UWHD0j4OXemjSF6GuPX4rx9GlYSzvPO7fFGhU4DZTkBtE43zhv3ORkjkKZmafjGUy2nLmR+azq/M1
 vLAqW6gia1VKsOAixZ8MjDA==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gytDD-0005eQ-Oj; Wed, 27 Feb 2019 08:01:03 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gytDD-0006xH-NR; Wed, 27 Feb 2019 08:01:03 +0100
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Wed, 27 Feb 2019 07:01:03 GMT
From: <pkill9@HIDDEN>
To: "swedebugia" <swedebugia@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Wed, 27 Feb 2019 07:01:03 +0000 (GMT)
X-Mailer: RMM6
In-Reply-To: <2A2F7912-1C25-40C6-9324-EB85A5A41A9D@HIDDEN>
Content-Type: multipart/mixed; boundary="----------=_1551250863-10342-12"
Message-Id: <E1gytDD-0006xH-NR@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format...

------------=_1551250863-10342-12
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

> A ha, I completely missed the imbedded server. Maybe we should mention in=
 the description that it includes a client and server.

Ok I added that

On Tue, 26 Feb 2019 21:40:34 +0100, swedebugia <swedebugia@HIDDEN> wrot=
e:

> pkill9@HIDDEN skrev: (26 februari 2019 16:44:44 CET)
> >Here is a patch that:
> > - Removes the full stop after 'no tests'
> >- Changes the synopsis from "Multiplayer tetris" to "Multiplayer tetris
> >game".
> > - Replaces the description with what you (swedebugia) suggested.
> >
> >> As an aside I did not find a working server anywhere ... There is a
> >possibility to host your own server with jetrix though.
> >
> >Oh I realised you meant a server program - the tetrinet package builds
> >one called 'tetrinet-server', I tested it just now by running these
> >commands in separate terminals:
> >
> >`tetrinet-server`
> >`tetrinet player1 localhost`
> >`tetrinet player2 localhost`
> >
> >Sending messages as the two different players shows up correctly in
> >each tetrinet client, so I think the server works fine.
> >
> >On Tue, 26 Feb 2019 15:20:28 +0000 (GMT), <pkill9@HIDDEN> wrote:
> >
> >> Hi Swedebugia,
> >>=20
> >> > having looked it up online I prefer the WP synopsis:
> >> > "TetriNET is a console multiplayer online Tetris game for up to six
> >people."
> >> >=20
> >> > There is a gnome version also. We should state clearly that this is
> >a
> >> > console/text-mode client.
> >>=20
> >> What does 'WP' mean?
> >>=20
> >> > As an aside I did not find a working server anywhere and the
> >homepage of
> >> > the project is dead. There is a possibility to host your own server
> >with
> >> > jetrix though.
> >>=20
> >> I played Tetrinet with someone over a server, but I can't remember
> >what the address was.
> >>=20
> >> You can't access the homepage of the project? I can access
> >http://tetrinet.or.cz fine. Or do you mean it hasn't been updated in
> >ages?
> >>=20
> >> > There could be trademark issues with the name/game also see
> >> > https://en.wikipedia.org/wiki/The_Tetris_Company
> >>=20
> >> Regarding the potential trademark issues, both FSF-approved distros
> >Parabola and PureOS have Tetrinet in their repositories[1][2], so I
> >think it would be acceptable to add it to Guix. And if a copyright
> >claim is made in the future it can always be removed.
> >>=20
> >> [1] Tetrinet in Parabola -
> >https://www.parabola.nu/packages/?q=3Dtetrinet
> >> [2] Tetrinet in PureOS -
> >https://software.pureos.net/search_pkg?term=3Dtetrinet
> >>=20
> >> Thanks
> >>=20
> >> On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia
> ><swedebugia@HIDDEN> wrote:
> >>=20
> >> > On 2019-02-23 10:26, swedebugia wrote:
> >> > > For the sake of making it easy to find when searching synopsies I
> >> > > suggest you add "game" to the end of yours.
> >> > > --=20
> >> > > Sent from my k-9 mail for Android.
> >> >=20
> >> > having looked it up online I prefer the WP synopsis:
> >> > "TetriNET is a console multiplayer online Tetris game for up to six
> >people."
> >> >=20
> >> > There is a gnome version also. We should state clearly that this is
> >a
> >> > console/text-mode client.
> >> >=20
> >> > As an aside I did not find a working server anywhere and the
> >homepage of
> >> > the project is dead. There is a possibility to host your own server
> >with
> >> > jetrix though.
> >> >=20
> >> > There could be trademark issues with the name/game also see
> >> > https://en.wikipedia.org/wiki/The_Tetris_Company
> >> >=20
> >> > --=20
> >> > Cheers Swedebugia
>=20
> A ha, I completely missed the imbedded server. Maybe we should mention in=
 the description that it includes a client and server.
> --=20
> Sent from my k-9 mail for Android.



------------=_1551250863-10342-12
Content-Type: text/x-patch; name="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Disposition: attachment;
 filename="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Transfer-Encoding: base64
Content-ID: <f7ff961f82c6f75b832fd4961cce4039>
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------------=_1551250863-10342-12--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 26 Feb 2019 20:45:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 26 15:45:35 2019
Received: from localhost ([127.0.0.1]:53330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyjbX-0005in-Uk
	for submit <at> debbugs.gnu.org; Tue, 26 Feb 2019 15:45:35 -0500
Received: from mx1.riseup.net ([198.252.153.129]:50842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gyjbV-0005if-Ra
 for 34523 <at> debbugs.gnu.org; Tue, 26 Feb 2019 15:45:30 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 092621A1CDD;
 Tue, 26 Feb 2019 12:45:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1551213929; bh=4OOTmhocBQmc6aNKS3E/bQJNhZf52TTZ/X1q16fnTHI=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=hpWdYeMEFES9YY69qHTwU2fmYgKt3rw0i6pAd5r2IQsQB8zLXrB4BOryjOANPRWVm
 i89sQt2MuzxvIuuwiyhb1K4z2uMnrNUK1oYTWaZlPgpofEuoUryiQbagRmfKYYyhq6
 WzPA+LjzLz+fDyH3rR0wIUL5fSiQebrqdR8NZBac=
X-Riseup-User-ID: 07E0F77302A5F09D05D282A920AA477D300497A35E79A4BF7873FB14C03ED752
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4E9EC222448;
 Tue, 26 Feb 2019 12:45:27 -0800 (PST)
Date: Tue, 26 Feb 2019 21:45:23 +0100
In-Reply-To: <E1gyeWy-0003pC-25@HIDDEN>
References: <E1gyeWy-0003pC-25@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----SAQR1UH6OW1F8M554HX9FJKT0HDYZP"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34523] Add tetrinet
To: pkill9@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <190C4B54-2EDE-4B00-B7AF-04DC96F91E2A@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------SAQR1UH6OW1F8M554HX9FJKT0HDYZP
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

pkill9@runbox=2Ecom skrev: (26 februari 2019 16:20:28 CET)
>Hi Swedebugia,
>
>> having looked it up online I prefer the WP synopsis:
>> "TetriNET is a console multiplayer online Tetris game for up to six
>people=2E"
>>=20
>> There is a gnome version also=2E We should state clearly that this is a
>> console/text-mode client=2E
>
>What does 'WP' mean?
>
>> As an aside I did not find a working server anywhere and the homepage
>of
>> the project is dead=2E There is a possibility to host your own server
>with
>> jetrix though=2E
>
>I played Tetrinet with someone over a server, but I can't remember what
>the address was=2E
>
>You can't access the homepage of the project? I can access
>http://tetrinet=2Eor=2Ecz fine=2E Or do you mean it hasn't been updated i=
n
>ages?
>
>> There could be trademark issues with the name/game also see
>> https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_Company
>
>Regarding the potential trademark issues, both FSF-approved distros
>Parabola and PureOS have Tetrinet in their repositories[1][2], so I
>think it would be acceptable to add it to Guix=2E And if a copyright
>claim is made in the future it can always be removed=2E
>
>[1] Tetrinet in Parabola - https://www=2Eparabola=2Enu/packages/?q=3Dtetr=
inet
>[2] Tetrinet in PureOS -
>https://software=2Epureos=2Enet/search_pkg?term=3Dtetrinet
>
>Thanks
>
>On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia <swedebugia@riseup=2Enet>
>wrote:
>
>> On 2019-02-23 10:26, swedebugia wrote:
>> > For the sake of making it easy to find when searching synopsies I
>> > suggest you add "game" to the end of yours=2E
>> > --=20
>> > Sent from my k-9 mail for Android=2E
>>=20
>> having looked it up online I prefer the WP synopsis:
>> "TetriNET is a console multiplayer online Tetris game for up to six
>people=2E"
>>=20
>> There is a gnome version also=2E We should state clearly that this is a
>> console/text-mode client=2E
>>=20
>> As an aside I did not find a working server anywhere and the homepage
>of
>> the project is dead=2E There is a possibility to host your own server
>with
>> jetrix though=2E
>>=20
>> There could be trademark issues with the name/game also see
>> https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_Company
>>=20
>> --=20
>> Cheers Swedebugia

Hi=20
I agree with your remarks
WP =3D wikipedia=20

Given that there is no pgp signed tarball or even a checksum on that page,=
  have you asked the maintainer about this and verified that you got the co=
de unaltered?=20
--=20
Sent from my k-9 mail for Android=2E

------SAQR1UH6OW1F8M554HX9FJKT0HDYZP
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">pkill9@runbox=2Ecom skr=
ev: (26 februari 2019 16:20:28 CET)<blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204);=
 padding-left: 1ex;">
<pre class=3D"k9mail">Hi Swedebugia,<br><br><blockquote class=3D"gmail_quo=
te" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; p=
adding-left: 1ex;">having looked it up online I prefer the WP synopsis:<br>=
"TetriNET is a console multiplayer online Tetris game for up to six people=
=2E"<br><br>There is a gnome version also=2E We should state clearly that t=
his is a<br>console/text-mode client=2E<br></blockquote><br>What does 'WP' =
mean?<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex=
 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;">As an aside I=
 did not find a working server anywhere and the homepage of<br>the project =
is dead=2E There is a possibility to host your own server with<br>jetrix th=
ough=2E<br></blockquote><br>I played Tetrinet with someone over a server, b=
ut I can't remember what the address was=2E<br><br>You can't access the hom=
epage of the project? I can access <a href=3D"http://tetrinet=2Eor=2Ecz">ht=
tp://tetrinet=2Eor=2Ecz</a> fine=2E Or do you mean it hasn't been updated i=
n ages?<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1=
ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;">There could=
 be trademark issues with the name/game also see<br><a href=3D"https://en=
=2Ewikipedia=2Eorg/wiki/The_Tetris_Company">https://en=2Ewikipedia=2Eorg/wi=
ki/The_Tetris_Company</a><br></blockquote><br>Regarding the potential trade=
mark issues, both FSF-approved distros Parabola and PureOS have Tetrinet in=
 their repositories[1][2], so I think it would be acceptable to add it to G=
uix=2E And if a copyright claim is made in the future it can always be remo=
ved=2E<br><br>[1] Tetrinet in Parabola - <a href=3D"https://www=2Eparabola=
=2Enu/packages/?q=3Dtetrinet">https://www=2Eparabola=2Enu/packages/?q=3Dtet=
rinet</a><br>[2] Tetrinet in PureOS - <a href=3D"https://software=2Epureos=
=2Enet/search_pkg?term=3Dtetrinet">https://software=2Epureos=2Enet/search_p=
kg?term=3Dtetrinet</a><br><br>Thanks<br><br>On Sat, 23 Feb 2019 07:23:43 +0=
100, swedebugia &lt;swedebugia@riseup=2Enet&gt; wrote:<br><br><blockquote c=
lass=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px=
 solid #729fcf; padding-left: 1ex;">On 2019-02-23 10:26, swedebugia wrote:<=
br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; =
border-left: 1px solid #ad7fa8; padding-left: 1ex;">For the sake of making =
it easy to find when searching synopsies I<br>suggest you add "game" to the=
 end of yours=2E<br>-- <br>Sent from my k-9 mail for Android=2E<br></blockq=
uote><br>having looked it up online I prefer the WP synopsis:<br>"TetriNET =
is a console multiplayer online Tetris game for up to six people=2E"<br><br=
>There is a gnome version also=2E We should state clearly that this is a<br=
>console/text-mode client=2E<br><br>As an aside I did not find a working se=
rver anywhere and the homepage of<br>the project is dead=2E There is a poss=
ibility to host your own server with<br>jetrix though=2E<br><br>There could=
 be trademark issues with the name/game also see<br><a href=3D"https://en=
=2Ewikipedia=2Eorg/wiki/The_Tetris_Company">https://en=2Ewikipedia=2Eorg/wi=
ki/The_Tetris_Company</a><br><br>-- <br>Cheers Swedebugia<br></blockquote><=
br><br></pre></blockquote></div><br clear=3D"all">Hi <br>I agree with your =
remarks<br>WP =3D wikipedia <br><br>Given that there is no pgp signed tarba=
ll or even a checksum on that page,  have you asked the maintainer about th=
is and verified that you got the code unaltered? <br>-- <br>Sent from my k-=
9 mail for Android=2E<br></body></html>
------SAQR1UH6OW1F8M554HX9FJKT0HDYZP--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 26 Feb 2019 20:40:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 26 15:40:49 2019
Received: from localhost ([127.0.0.1]:53326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyjWv-0005bh-Bw
	for submit <at> debbugs.gnu.org; Tue, 26 Feb 2019 15:40:49 -0500
Received: from mx1.riseup.net ([198.252.153.129]:49192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gyjWs-0005bW-4A
 for 34523 <at> debbugs.gnu.org; Tue, 26 Feb 2019 15:40:43 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id F0C591A1CD7;
 Tue, 26 Feb 2019 12:40:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1551213641; bh=X7xT9yWgJWpq6spfBd5782bZG/iLJfQDe64rWCWhBK4=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=kpVTujbBpqV7exO8Jk7Ys724Syo8g1t5LcQtXlacANU8n7kDzmW+Q7USF0YuEPsjc
 I2gsFo8JoyNkJygBHqzLqixeXqzSbjy213l5Bhsbf1v9/WuX0hLwVvxVKFGuCr+5s1
 R9wNz5GVhAz5dG0wMOdyM46zjnvtwY0O4lBxXGFQ=
X-Riseup-User-ID: F374BE276C9EB04AD15C4D1075BCC1A3A5609DFB464F547129C2347653C0309B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 97D672224C1;
 Tue, 26 Feb 2019 12:40:39 -0800 (PST)
Date: Tue, 26 Feb 2019 21:40:34 +0100
In-Reply-To: <E1gyeuS-0005Lw-SS@HIDDEN>
References: <E1gyeuS-0005Lw-SS@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----R5LUX2QT3O8IX6INYS1PSZ16SWA2FJ"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34523] Add tetrinet
To: pkill9@HIDDEN,pkill9 <pkill9@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <2A2F7912-1C25-40C6-9324-EB85A5A41A9D@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------R5LUX2QT3O8IX6INYS1PSZ16SWA2FJ
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

pkill9@runbox=2Ecom skrev: (26 februari 2019 16:44:44 CET)
>Here is a patch that:
> - Removes the full stop after 'no tests'
>- Changes the synopsis from "Multiplayer tetris" to "Multiplayer tetris
>game"=2E
> - Replaces the description with what you (swedebugia) suggested=2E
>
>> As an aside I did not find a working server anywhere =2E=2E=2E There is=
 a
>possibility to host your own server with jetrix though=2E
>
>Oh I realised you meant a server program - the tetrinet package builds
>one called 'tetrinet-server', I tested it just now by running these
>commands in separate terminals:
>
>`tetrinet-server`
>`tetrinet player1 localhost`
>`tetrinet player2 localhost`
>
>Sending messages as the two different players shows up correctly in
>each tetrinet client, so I think the server works fine=2E
>
>On Tue, 26 Feb 2019 15:20:28 +0000 (GMT), <pkill9@runbox=2Ecom> wrote:
>
>> Hi Swedebugia,
>>=20
>> > having looked it up online I prefer the WP synopsis:
>> > "TetriNET is a console multiplayer online Tetris game for up to six
>people=2E"
>> >=20
>> > There is a gnome version also=2E We should state clearly that this is
>a
>> > console/text-mode client=2E
>>=20
>> What does 'WP' mean?
>>=20
>> > As an aside I did not find a working server anywhere and the
>homepage of
>> > the project is dead=2E There is a possibility to host your own server
>with
>> > jetrix though=2E
>>=20
>> I played Tetrinet with someone over a server, but I can't remember
>what the address was=2E
>>=20
>> You can't access the homepage of the project? I can access
>http://tetrinet=2Eor=2Ecz fine=2E Or do you mean it hasn't been updated i=
n
>ages?
>>=20
>> > There could be trademark issues with the name/game also see
>> > https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_Company
>>=20
>> Regarding the potential trademark issues, both FSF-approved distros
>Parabola and PureOS have Tetrinet in their repositories[1][2], so I
>think it would be acceptable to add it to Guix=2E And if a copyright
>claim is made in the future it can always be removed=2E
>>=20
>> [1] Tetrinet in Parabola -
>https://www=2Eparabola=2Enu/packages/?q=3Dtetrinet
>> [2] Tetrinet in PureOS -
>https://software=2Epureos=2Enet/search_pkg?term=3Dtetrinet
>>=20
>> Thanks
>>=20
>> On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia
><swedebugia@riseup=2Enet> wrote:
>>=20
>> > On 2019-02-23 10:26, swedebugia wrote:
>> > > For the sake of making it easy to find when searching synopsies I
>> > > suggest you add "game" to the end of yours=2E
>> > > --=20
>> > > Sent from my k-9 mail for Android=2E
>> >=20
>> > having looked it up online I prefer the WP synopsis:
>> > "TetriNET is a console multiplayer online Tetris game for up to six
>people=2E"
>> >=20
>> > There is a gnome version also=2E We should state clearly that this is
>a
>> > console/text-mode client=2E
>> >=20
>> > As an aside I did not find a working server anywhere and the
>homepage of
>> > the project is dead=2E There is a possibility to host your own server
>with
>> > jetrix though=2E
>> >=20
>> > There could be trademark issues with the name/game also see
>> > https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_Company
>> >=20
>> > --=20
>> > Cheers Swedebugia

A ha, I completely missed the imbedded server=2E Maybe we should mention i=
n the description that it includes a client and server=2E
--=20
Sent from my k-9 mail for Android=2E

------R5LUX2QT3O8IX6INYS1PSZ16SWA2FJ
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">pkill9@runbox=2Ecom skr=
ev: (26 februari 2019 16:44:44 CET)<blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204);=
 padding-left: 1ex;">
<pre class=3D"k9mail">Here is a patch that:<br> - Removes the full stop af=
ter 'no tests'<br> - Changes the synopsis from "Multiplayer tetris" to "Mul=
tiplayer tetris game"=2E<br> - Replaces the description with what you (swed=
ebugia) suggested=2E<br><br><blockquote class=3D"gmail_quote" style=3D"marg=
in: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;=
">As an aside I did not find a working server anywhere =2E=2E=2E There is a=
 possibility to host your own server with jetrix though=2E<br></blockquote>=
<br>Oh I realised you meant a server program - the tetrinet package builds =
one called 'tetrinet-server', I tested it just now by running these command=
s in separate terminals:<br><br>`tetrinet-server`<br>`tetrinet player1 loca=
lhost`<br>`tetrinet player2 localhost`<br><br>Sending messages as the two d=
ifferent players shows up correctly in each tetrinet client, so I think the=
 server works fine=2E<br><br>On Tue, 26 Feb 2019 15:20:28 +0000 (GMT), &lt;=
pkill9@runbox=2Ecom&gt; wrote:<br><br><blockquote class=3D"gmail_quote" sty=
le=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-=
left: 1ex;">Hi Swedebugia,<br><br><blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #ad7fa8; padding-le=
ft: 1ex;">having looked it up online I prefer the WP synopsis:<br>"TetriNET=
 is a console multiplayer online Tetris game for up to six people=2E"<br><b=
r>There is a gnome version also=2E We should state clearly that this is a<b=
r>console/text-mode client=2E<br></blockquote><br>What does 'WP' mean?<br><=
br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; =
border-left: 1px solid #ad7fa8; padding-left: 1ex;">As an aside I did not f=
ind a working server anywhere and the homepage of<br>the project is dead=2E=
 There is a possibility to host your own server with<br>jetrix though=2E<br=
></blockquote><br>I played Tetrinet with someone over a server, but I can't=
 remember what the address was=2E<br><br>You can't access the homepage of t=
he project? I can access <a href=3D"http://tetrinet=2Eor=2Ecz">http://tetri=
net=2Eor=2Ecz</a> fine=2E Or do you mean it hasn't been updated in ages?<br=
><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex=
; border-left: 1px solid #ad7fa8; padding-left: 1ex;">There could be tradem=
ark issues with the name/game also see<br><a href=3D"https://en=2Ewikipedia=
=2Eorg/wiki/The_Tetris_Company">https://en=2Ewikipedia=2Eorg/wiki/The_Tetri=
s_Company</a><br></blockquote><br>Regarding the potential trademark issues,=
 both FSF-approved distros Parabola and PureOS have Tetrinet in their repos=
itories[1][2], so I think it would be acceptable to add it to Guix=2E And i=
f a copyright claim is made in the future it can always be removed=2E<br><b=
r>[1] Tetrinet in Parabola - <a href=3D"https://www=2Eparabola=2Enu/package=
s/?q=3Dtetrinet">https://www=2Eparabola=2Enu/packages/?q=3Dtetrinet</a><br>=
[2] Tetrinet in PureOS - <a href=3D"https://software=2Epureos=2Enet/search_=
pkg?term=3Dtetrinet">https://software=2Epureos=2Enet/search_pkg?term=3Dtetr=
inet</a><br><br>Thanks<br><br>On Sat, 23 Feb 2019 07:23:43 +0100, swedebugi=
a &lt;swedebugia@riseup=2Enet&gt; wrote:<br><br><blockquote class=3D"gmail_=
quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #ad7fa8=
; padding-left: 1ex;">On 2019-02-23 10:26, swedebugia wrote:<br><blockquote=
 class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1=
px solid #8ae234; padding-left: 1ex;">For the sake of making it easy to fin=
d when searching synopsies I<br>suggest you add "game" to the end of yours=
=2E<br>-- <br>Sent from my k-9 mail for Android=2E<br></blockquote><br>havi=
ng looked it up online I prefer the WP synopsis:<br>"TetriNET is a console =
multiplayer online Tetris game for up to six people=2E"<br><br>There is a g=
nome version also=2E We should state clearly that this is a<br>console/text=
-mode client=2E<br><br>As an aside I did not find a working server anywhere=
 and the homepage of<br>the project is dead=2E There is a possibility to ho=
st your own server with<br>jetrix though=2E<br><br>There could be trademark=
 issues with the name/game also see<br><a href=3D"https://en=2Ewikipedia=2E=
org/wiki/The_Tetris_Company">https://en=2Ewikipedia=2Eorg/wiki/The_Tetris_C=
ompany</a><br><br>-- <br>Cheers Swedebugia<br></blockquote></blockquote><br=
><br></pre></blockquote></div><br clear=3D"all">A ha, I completely missed t=
he imbedded server=2E Maybe we should mention in the description that it in=
cludes a client and server=2E<br>-- <br>Sent from my k-9 mail for Android=
=2E<br></body></html>
------R5LUX2QT3O8IX6INYS1PSZ16SWA2FJ--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 26 Feb 2019 15:44:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 26 10:44:58 2019
Received: from localhost ([127.0.0.1]:53224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyeuZ-00071M-Be
	for submit <at> debbugs.gnu.org; Tue, 26 Feb 2019 10:44:58 -0500
Received: from aibo.runbox.com ([91.220.196.211]:44066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gyeuV-00071C-Tr
 for 34523 <at> debbugs.gnu.org; Tue, 26 Feb 2019 10:44:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:Date:Subject:CC:To:From:
 MIME-Version; bh=vMTI3AvjwnfRdRqJEbw2eyv6kieYwpHDUd34v5cNPhs=; b=WmqlHucVJxr6
 veojR6t3r72NlTjS1zni3SWgoJTSoI+0Jhl8jHuhO45igZPMgdOOg1w/JFG4hOe08X5MWmhg66Xp3
 RSWcmFFTVlOMzeae4g7tACf0atCVVDCdbotGQcFsSllCERE+sn6dqrvjCQCl+xQTzuee90KH0w+2q
 HkIkcabwdS9Sj8pNqyfjZFGJBvpqomFPHtncEymg3JA0DOPOqVhL3Sx53atHuEp981C2O+fp+2P3E
 jp7P5J0k3HYm+JNpxm+M7mEk2hdAPvmoYwari46z6avCs15rrUmUNDRlmLhck3EwXzWxXxavI6Z1U
 /cpxg4TIbC1P2XHCHEk6qg==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gyeuS-00079L-Tm; Tue, 26 Feb 2019 16:44:45 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gyeuS-0005Lw-SS; Tue, 26 Feb 2019 16:44:44 +0100
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Tue, 26 Feb 2019 15:44:44 GMT
From: <pkill9@HIDDEN>
To: "pkill9" <pkill9@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Tue, 26 Feb 2019 15:44:44 +0000 (GMT)
X-Mailer: RMM6
Content-Type: multipart/mixed; boundary="----------=_1551195884-19808-3"
Message-Id: <E1gyeuS-0005Lw-SS@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: swedebugia <swedebugia@HIDDEN>, 34523 <34523 <at> debbugs.gnu.org>,
 me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format...

------------=_1551195884-19808-3
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Here is a patch that:
 - Removes the full stop after 'no tests'
 - Changes the synopsis from "Multiplayer tetris" to "Multiplayer tetris ga=
me".
 - Replaces the description with what you (swedebugia) suggested.

> As an aside I did not find a working server anywhere ... There is a possi=
bility to host your own server with jetrix though.

Oh I realised you meant a server program - the tetrinet package builds one =
called 'tetrinet-server', I tested it just now by running these commands in=
 separate terminals:

`tetrinet-server`
`tetrinet player1 localhost`
`tetrinet player2 localhost`

Sending messages as the two different players shows up correctly in each te=
trinet client, so I think the server works fine.

On Tue, 26 Feb 2019 15:20:28 +0000 (GMT), <pkill9@HIDDEN> wrote:

> Hi Swedebugia,
>=20
> > having looked it up online I prefer the WP synopsis:
> > "TetriNET is a console multiplayer online Tetris game for up to six peo=
ple."
> >=20
> > There is a gnome version also. We should state clearly that this is a
> > console/text-mode client.
>=20
> What does 'WP' mean?
>=20
> > As an aside I did not find a working server anywhere and the homepage of
> > the project is dead. There is a possibility to host your own server with
> > jetrix though.
>=20
> I played Tetrinet with someone over a server, but I can't remember what t=
he address was.
>=20
> You can't access the homepage of the project? I can access http://tetrine=
t.or.cz fine. Or do you mean it hasn't been updated in ages?
>=20
> > There could be trademark issues with the name/game also see
> > https://en.wikipedia.org/wiki/The_Tetris_Company
>=20
> Regarding the potential trademark issues, both FSF-approved distros Parab=
ola and PureOS have Tetrinet in their repositories[1][2], so I think it wou=
ld be acceptable to add it to Guix. And if a copyright claim is made in the=
 future it can always be removed.
>=20
> [1] Tetrinet in Parabola - https://www.parabola.nu/packages/?q=3Dtetrinet
> [2] Tetrinet in PureOS - https://software.pureos.net/search_pkg?term=3Dte=
trinet
>=20
> Thanks
>=20
> On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia <swedebugia@HIDDEN> wr=
ote:
>=20
> > On 2019-02-23 10:26, swedebugia wrote:
> > > For the sake of making it easy to find when searching synopsies I
> > > suggest you add "game" to the end of yours.
> > > --=20
> > > Sent from my k-9 mail for Android.
> >=20
> > having looked it up online I prefer the WP synopsis:
> > "TetriNET is a console multiplayer online Tetris game for up to six peo=
ple."
> >=20
> > There is a gnome version also. We should state clearly that this is a
> > console/text-mode client.
> >=20
> > As an aside I did not find a working server anywhere and the homepage of
> > the project is dead. There is a possibility to host your own server with
> > jetrix though.
> >=20
> > There could be trademark issues with the name/game also see
> > https://en.wikipedia.org/wiki/The_Tetris_Company
> >=20
> > --=20
> > Cheers Swedebugia



------------=_1551195884-19808-3
Content-Type: text/x-patch; name="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Disposition: attachment;
 filename="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Transfer-Encoding: base64
Content-ID: <bc5952c2e2dd5fccd93234fc13490118>
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------------=_1551195884-19808-3--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 26 Feb 2019 15:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 26 10:20:38 2019
Received: from localhost ([127.0.0.1]:53189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyeX4-0006Pb-9r
	for submit <at> debbugs.gnu.org; Tue, 26 Feb 2019 10:20:38 -0500
Received: from aibo.runbox.com ([91.220.196.211]:40788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gyeX1-0006PP-AX
 for 34523 <at> debbugs.gnu.org; Tue, 26 Feb 2019 10:20:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:In-Reply-To:Date:Subject:CC:To:From:MIME-Version
 :Content-Transfer-Encoding:Content-Type;
 bh=sLi81mktDtPBOjsdmFK0X0GO6Q5onMc4lviJLL/kARU=; b=OKYN8VPAprP/SZn1yAFl2K1Qiw
 289vKnFeEcH3+4QU/mtC+mpaHNaCFjYO3AjUVtAUn32oYQJ1DhKbDdmDbkXsKlVlvoJvvLR25OlAB
 o/LLW+cHtPtiOJivalzo0wvvvfwCGMK0i53AS750C/9Fpwl0erHkxd7dh2+/dQxwd7m1f+s/H7KSV
 0rjhrboTsKSHbJUgFOoEtdoEPddSUfs+Z2cGh7bCUuTxpURqV7v/8Tk5jCv8qq99x6dey+4nEwq3X
 bMW15hV0VEoa2qZ3Uqn0PrKlZ7UQXjNy6cCwxl1a5XTpL+tNwb9pXz9wrZp03P3OZ8iqre0FqAmE6
 zy66icAg==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gyeWy-0007bL-3B; Tue, 26 Feb 2019 16:20:28 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gyeWy-0003pC-25; Tue, 26 Feb 2019 16:20:28 +0100
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Tue, 26 Feb 2019 15:20:28 GMT
From: <pkill9@HIDDEN>
To: "swedebugia" <swedebugia@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Tue, 26 Feb 2019 15:20:28 +0000 (GMT)
X-Mailer: RMM6
In-Reply-To: <285f9fc5-448d-d1c3-a9b1-e437b80b63eb@HIDDEN>
Message-Id: <E1gyeWy-0003pC-25@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>, me <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

Hi Swedebugia,

> having looked it up online I prefer the WP synopsis:
> "TetriNET is a console multiplayer online Tetris game for up to six peopl=
e."
>=20
> There is a gnome version also. We should state clearly that this is a
> console/text-mode client.

What does 'WP' mean?

> As an aside I did not find a working server anywhere and the homepage of
> the project is dead. There is a possibility to host your own server with
> jetrix though.

I played Tetrinet with someone over a server, but I can't remember what the=
 address was.

You can't access the homepage of the project? I can access http://tetrinet.=
or.cz fine. Or do you mean it hasn't been updated in ages?

> There could be trademark issues with the name/game also see
> https://en.wikipedia.org/wiki/The_Tetris_Company

Regarding the potential trademark issues, both FSF-approved distros Parabol=
a and PureOS have Tetrinet in their repositories[1][2], so I think it would=
 be acceptable to add it to Guix. And if a copyright claim is made in the f=
uture it can always be removed.

[1] Tetrinet in Parabola - https://www.parabola.nu/packages/?q=3Dtetrinet
[2] Tetrinet in PureOS - https://software.pureos.net/search_pkg?term=3Dtetr=
inet

Thanks

On Sat, 23 Feb 2019 07:23:43 +0100, swedebugia <swedebugia@HIDDEN> wrot=
e:

> On 2019-02-23 10:26, swedebugia wrote:
> > For the sake of making it easy to find when searching synopsies I
> > suggest you add "game" to the end of yours.
> > --=20
> > Sent from my k-9 mail for Android.
>=20
> having looked it up online I prefer the WP synopsis:
> "TetriNET is a console multiplayer online Tetris game for up to six peopl=
e."
>=20
> There is a gnome version also. We should state clearly that this is a
> console/text-mode client.
>=20
> As an aside I did not find a working server anywhere and the homepage of
> the project is dead. There is a possibility to host your own server with
> jetrix though.
>=20
> There could be trademark issues with the name/game also see
> https://en.wikipedia.org/wiki/The_Tetris_Company
>=20
> --=20
> Cheers Swedebugia






Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 23 Feb 2019 11:41:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 06:41:17 2019
Received: from localhost ([127.0.0.1]:48949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxVgD-0000Vv-AC
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 06:41:17 -0500
Received: from mx1.riseup.net ([198.252.153.129]:32888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxVgA-0000Vm-JH
 for 34523 <at> debbugs.gnu.org; Sat, 23 Feb 2019 06:41:15 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 7F1FB1A01AB;
 Sat, 23 Feb 2019 03:41:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550922073; bh=ahD5OkNZ49K7t2HpPmc0q+b1lyLkoI3DWGXHtdn78xQ=;
 h=Subject:From:To:References:Date:In-Reply-To:From;
 b=Q4UnULyTmbTbwkrLvQ5y6nJEQpAxrDn5LfwomGvC9BATZtuL6NyhcWvd/WED7qPRq
 lOBSXXuMIUSoGx17dS3Z09VFC4sj8t+e6Ub91IBz/ycPvt0FsjkN43HdFGbIJEOumx
 rU2TjBEY1/Z6ZWlwg1e9rwfD2DiyAvFxYLsDOWdE=
X-Riseup-User-ID: E1D7DDE75C9681438C0B4B798F7C44722AA6DF55D4E1F9FB89C4E3F0387C68A2
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id BA9C0120ACF;
 Sat, 23 Feb 2019 03:41:11 -0800 (PST)
Subject: Re: [bug#34523] Add tetrinet
From: swedebugia <swedebugia@HIDDEN>
To: 34523 <at> debbugs.gnu.org, pkill9@HIDDEN, me@HIDDEN
References: <E1gvcri-0006jX-4B@HIDDEN>
 <E1gw0Be-0006uJ-6i@HIDDEN>
 <52CE49F5-A8BD-48F8-831A-38134B4B17C4@HIDDEN>
Message-ID: <285f9fc5-448d-d1c3-a9b1-e437b80b63eb@HIDDEN>
Date: Sat, 23 Feb 2019 07:23:43 +0100
MIME-Version: 1.0
In-Reply-To: <52CE49F5-A8BD-48F8-831A-38134B4B17C4@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="SG1WU2BmHGRwkUWBrilpnlYpoCsHOjvHt"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 34523
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--SG1WU2BmHGRwkUWBrilpnlYpoCsHOjvHt
Content-Type: multipart/mixed; boundary="cFLvhCDGmt9OQw95eDp1AZImeneFuPKcC";
 protected-headers="v1"
From: swedebugia <swedebugia@HIDDEN>
To: 34523 <at> debbugs.gnu.org, pkill9@HIDDEN, me@HIDDEN
Message-ID: <285f9fc5-448d-d1c3-a9b1-e437b80b63eb@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
References: <E1gvcri-0006jX-4B@HIDDEN>
 <E1gw0Be-0006uJ-6i@HIDDEN>
 <52CE49F5-A8BD-48F8-831A-38134B4B17C4@HIDDEN>
In-Reply-To: <52CE49F5-A8BD-48F8-831A-38134B4B17C4@HIDDEN>

--cFLvhCDGmt9OQw95eDp1AZImeneFuPKcC
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

On 2019-02-23 10:26, swedebugia wrote:
> For the sake of making it easy to find when searching synopsies I
> suggest you add "game" to the end of yours.
> --=20
> Sent from my k-9 mail for Android.

having looked it up online I prefer the WP synopsis:
"TetriNET is a console multiplayer online Tetris game for up to six peopl=
e."

There is a gnome version also. We should state clearly that this is a
console/text-mode client.

As an aside I did not find a working server anywhere and the homepage of
the project is dead. There is a possibility to host your own server with
jetrix though.

There could be trademark issues with the name/game also see
https://en.wikipedia.org/wiki/The_Tetris_Company

--=20
Cheers Swedebugia


--cFLvhCDGmt9OQw95eDp1AZImeneFuPKcC--

--SG1WU2BmHGRwkUWBrilpnlYpoCsHOjvHt
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQR6IWNlOiLn9hD6a1XPzUNbKAts0gUCXHDm8AAKCRDPzUNbKAts
0n0gAQD0uBeMFvWrFYFod2OSVGHRT7uRZQSekYi8UwHcRf1hXAEAq9S2OGnOOg5L
sFSQvreGRdpZCPX6EI8E39Q722/NQQ8=
=l2vK
-----END PGP SIGNATURE-----

--SG1WU2BmHGRwkUWBrilpnlYpoCsHOjvHt--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Feb 2019 09:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 04:27:34 2019
Received: from localhost ([127.0.0.1]:48876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxTam-0005gl-4M
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:27:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTak-0005gY-03
 for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:27:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:51025)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gxTaZ-0001vn-7w
 for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:27:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60043)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTaY-0005VJ-Ez
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:27:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_40,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTaX-0001ub-Nb
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:27:18 -0500
Received: from mx1.riseup.net ([198.252.153.129]:42418)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gxTaX-0001lX-GM
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:27:17 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 639381A1EDE;
 Sat, 23 Feb 2019 01:26:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550914011; bh=GlgqZrF3t5XXLkmmix9YvGnsZqbM/mBjiB4U+8XCx8c=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=SNlnEtDY1G2OdrBDE5U9Wi/qd2Vwm/hI7gBKI4re5vX7/UrR85BPae5pe9LyKx3/f
 LjuFFkstjFnR8AqMSpsSY03YVdC9eqnLNYYlIXSOqccIxtVNnANoVlgHYjmnbjjfom
 IZ1lRUFw449jc/NUuBVGreg1Drs33M5vwN5xT27c=
X-Riseup-User-ID: AD3175A0F9CC117B7C5CA8CEEF8121393AA6CC6FC5F0DA687BD1BCFA06B8EFDF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 793E522396F;
 Sat, 23 Feb 2019 01:26:50 -0800 (PST)
Date: Sat, 23 Feb 2019 10:26:46 +0100
In-Reply-To: <E1gw0Be-0006uJ-6i@HIDDEN>
References: <E1gvcri-0006jX-4B@HIDDEN>
 <E1gw0Be-0006uJ-6i@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----I11LYRA88A1FY2KKJK518KSHWXA4FM"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34523] Add tetrinet
To: guix-patches@HIDDEN, pkill9@HIDDEN,
 Tobias Geerinckx-Rice <me@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <52CE49F5-A8BD-48F8-831A-38134B4B17C4@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: 34523 <34523 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

------I11LYRA88A1FY2KKJK518KSHWXA4FM
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

For the sake of making it easy to find when searching synopsies I suggest y=
ou add "game" to the end of yours=2E
--=20
Sent from my k-9 mail for Android=2E

------I11LYRA88A1FY2KKJK518KSHWXA4FM
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

For the sake of making it easy to find when searching synopsies I suggest y=
ou add "game" to the end of yours=2E<br>-- <br>Sent from my k-9 mail for An=
droid=2E<br>
------I11LYRA88A1FY2KKJK518KSHWXA4FM--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 23 Feb 2019 09:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 04:26:54 2019
Received: from localhost ([127.0.0.1]:48872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxTa9-0005fU-Rb
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:26:54 -0500
Received: from mx1.riseup.net ([198.252.153.129]:58252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTa7-0005fM-SK
 for 34523 <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:26:52 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 639381A1EDE;
 Sat, 23 Feb 2019 01:26:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550914011; bh=GlgqZrF3t5XXLkmmix9YvGnsZqbM/mBjiB4U+8XCx8c=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=SNlnEtDY1G2OdrBDE5U9Wi/qd2Vwm/hI7gBKI4re5vX7/UrR85BPae5pe9LyKx3/f
 LjuFFkstjFnR8AqMSpsSY03YVdC9eqnLNYYlIXSOqccIxtVNnANoVlgHYjmnbjjfom
 IZ1lRUFw449jc/NUuBVGreg1Drs33M5vwN5xT27c=
X-Riseup-User-ID: AD3175A0F9CC117B7C5CA8CEEF8121393AA6CC6FC5F0DA687BD1BCFA06B8EFDF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 793E522396F;
 Sat, 23 Feb 2019 01:26:50 -0800 (PST)
Date: Sat, 23 Feb 2019 10:26:46 +0100
In-Reply-To: <E1gw0Be-0006uJ-6i@HIDDEN>
References: <E1gvcri-0006jX-4B@HIDDEN>
 <E1gw0Be-0006uJ-6i@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----I11LYRA88A1FY2KKJK518KSHWXA4FM"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34523] Add tetrinet
To: guix-patches@HIDDEN, pkill9@HIDDEN,
 Tobias Geerinckx-Rice <me@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <52CE49F5-A8BD-48F8-831A-38134B4B17C4@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <34523 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------I11LYRA88A1FY2KKJK518KSHWXA4FM
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

For the sake of making it easy to find when searching synopsies I suggest y=
ou add "game" to the end of yours=2E
--=20
Sent from my k-9 mail for Android=2E

------I11LYRA88A1FY2KKJK518KSHWXA4FM
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

For the sake of making it easy to find when searching synopsies I suggest y=
ou add "game" to the end of yours=2E<br>-- <br>Sent from my k-9 mail for An=
droid=2E<br>
------I11LYRA88A1FY2KKJK518KSHWXA4FM--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 23 Feb 2019 09:23:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 04:23:37 2019
Received: from localhost ([127.0.0.1]:48862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxTWy-0005Zs-OX
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:23:37 -0500
Received: from mx1.riseup.net ([198.252.153.129]:57390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTWw-0005Zk-KM
 for 34523 <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:23:35 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id CC93E1A1EDE;
 Sat, 23 Feb 2019 01:23:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550913813; bh=NyWqZ6jjeeEHqbyraFqoWUeF/1T7zFKBXW191AE9FVI=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=iw6YMwnp6z5evSJ9DzGsNhRdiOUySvHDeniT/9bo/uMpKEknezV598xIjsu5gRFP7
 R4udl4PmyaLsqcyRbm9SuH7fnkQS4pO/Z/pA3cfCzjSR1yHApzqK1hdMgnLJZotKar
 OSJlupCr/16vNy8tIagdG9CrGy8ZqMBbrePtbXhQ=
X-Riseup-User-ID: E5C085078B298C49C69D3243EBD237AB7C82D0C722B0B37DCC25E059AD8C85EB
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 87B9522396D;
 Sat, 23 Feb 2019 01:23:32 -0800 (PST)
Date: Sat, 23 Feb 2019 10:23:28 +0100
In-Reply-To: <20190218154133.7f2a122e@HIDDEN>
References: <E1gvcri-0006jX-4B@HIDDEN> <87mumtwfgb.fsf@HIDDEN>
 <87va1hyyna.fsf@nckx> <20190218154133.7f2a122e@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----YLXSNQMAFJEICUYNMGR80EKS3XEZVE"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34523] Add tetrinet
To: guix-patches@HIDDEN, Danny Milosavljevic <dannym@HIDDEN>,
 Tobias Geerinckx-Rice <me@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <5ED9AC2A-B4F8-47EB-BDB6-A799169D0CD5@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <at> debbugs.gnu.org, pkill9@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------YLXSNQMAFJEICUYNMGR80EKS3XEZVE
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Danny Milosavljevic <dannym@scratchpost=2Eorg> skrev: (18 februari 2019 15:=
41:33 CET)
>On Mon, 18 Feb 2019 15:11:37 +0100
>Tobias Geerinckx-Rice <me@tobias=2Egr> wrote:
>
>> pkill -9, Ricardo,
>>=20
>> Ricardo Wurmus wrote:
>> > pkill9@runbox=2Ecom writes: =20
>> >> +     `(#:tests? #f ; No tests=2E =20
>>=20
>> Only nitpicks:
>>=20
>> +     `(#:tests? #f                      ; no tests
>>=20
>> If you're using emacs, running C-M-q on the whole definition will=20
>> automatically indent your code=2E  There's a way to do the same=20
>> without emacs, but I forget how=2E
>
># In guix's git checkout:
>
>guix environment --fallback --ad-hoc emacs emacs-guix -- emacs --script
>=2E/etc/indent-code=2Eel "${modulename}" "${packagename}"

Thanks for the snippet=2E  I think we should add it to the manual=2E Thoug=
hts?=20
--=20
Sent from my k-9 mail for Android=2E

------YLXSNQMAFJEICUYNMGR80EKS3XEZVE
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">Danny Milosavljevic &lt=
;dannym@scratchpost=2Eorg&gt; skrev: (18 februari 2019 15:41:33 CET)<blockq=
uote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-lef=
t: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail">On Mon, 18 Feb 2019 15:11:37 +0100<br>Tobias Geerinc=
kx-Rice &lt;me@tobias=2Egr&gt; wrote:<br><br><blockquote class=3D"gmail_quo=
te" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; p=
adding-left: 1ex;">pkill -9, Ricardo,<br><br>Ricardo Wurmus wrote:<br><bloc=
kquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-l=
eft: 1px solid #ad7fa8; padding-left: 1ex;">pkill9@runbox=2Ecom writes:  <b=
r><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; b=
order-left: 1px solid #8ae234; padding-left: 1ex;">+     `(#:tests? #f ; No=
 tests=2E  <br></blockquote></blockquote><br>Only nitpicks:<br><br>+     `(=
#:tests? #f                      ; no tests<br><br>If you're using emacs, r=
unning C-M-q on the whole definition will <br>automatically indent your cod=
e=2E  There's a way to do the same <br>without emacs, but I forget how=2E<b=
r></blockquote><br># In guix's git checkout:<br><br>guix environment --fall=
back --ad-hoc emacs emacs-guix -- emacs --script =2E/etc/indent-code=2Eel "=
${modulename}" "${packagename}"<br></pre></blockquote></div><br clear=3D"al=
l">Thanks for the snippet=2E  I think we should add it to the manual=2E Tho=
ughts? <br>-- <br>Sent from my k-9 mail for Android=2E<br></body></html>
------YLXSNQMAFJEICUYNMGR80EKS3XEZVE--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Feb 2019 09:23:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 04:23:54 2019
Received: from localhost ([127.0.0.1]:48866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxTXG-0005aS-81
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:23:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTXE-0005aC-3T
 for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:23:52 -0500
Received: from lists.gnu.org ([209.51.188.17]:33453)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gxTX8-0008Mt-Ia
 for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:23:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58915)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTX7-0004hr-Br
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:23:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.2 required=5.0 tests=BAYES_05,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTX6-0008Kr-0h
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:23:45 -0500
Received: from mx1.riseup.net ([198.252.153.129]:41560)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gxTX4-0008EW-Qm
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:23:43 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id CC93E1A1EDE;
 Sat, 23 Feb 2019 01:23:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550913813; bh=NyWqZ6jjeeEHqbyraFqoWUeF/1T7zFKBXW191AE9FVI=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=iw6YMwnp6z5evSJ9DzGsNhRdiOUySvHDeniT/9bo/uMpKEknezV598xIjsu5gRFP7
 R4udl4PmyaLsqcyRbm9SuH7fnkQS4pO/Z/pA3cfCzjSR1yHApzqK1hdMgnLJZotKar
 OSJlupCr/16vNy8tIagdG9CrGy8ZqMBbrePtbXhQ=
X-Riseup-User-ID: E5C085078B298C49C69D3243EBD237AB7C82D0C722B0B37DCC25E059AD8C85EB
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 87B9522396D;
 Sat, 23 Feb 2019 01:23:32 -0800 (PST)
Date: Sat, 23 Feb 2019 10:23:28 +0100
In-Reply-To: <20190218154133.7f2a122e@HIDDEN>
References: <E1gvcri-0006jX-4B@HIDDEN> <87mumtwfgb.fsf@HIDDEN>
 <87va1hyyna.fsf@nckx> <20190218154133.7f2a122e@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----YLXSNQMAFJEICUYNMGR80EKS3XEZVE"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34523] Add tetrinet
To: guix-patches@HIDDEN, Danny Milosavljevic <dannym@HIDDEN>,
 Tobias Geerinckx-Rice <me@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <5ED9AC2A-B4F8-47EB-BDB6-A799169D0CD5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: 34523 <at> debbugs.gnu.org, pkill9@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

------YLXSNQMAFJEICUYNMGR80EKS3XEZVE
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Danny Milosavljevic <dannym@scratchpost=2Eorg> skrev: (18 februari 2019 15:=
41:33 CET)
>On Mon, 18 Feb 2019 15:11:37 +0100
>Tobias Geerinckx-Rice <me@tobias=2Egr> wrote:
>
>> pkill -9, Ricardo,
>>=20
>> Ricardo Wurmus wrote:
>> > pkill9@runbox=2Ecom writes: =20
>> >> +     `(#:tests? #f ; No tests=2E =20
>>=20
>> Only nitpicks:
>>=20
>> +     `(#:tests? #f                      ; no tests
>>=20
>> If you're using emacs, running C-M-q on the whole definition will=20
>> automatically indent your code=2E  There's a way to do the same=20
>> without emacs, but I forget how=2E
>
># In guix's git checkout:
>
>guix environment --fallback --ad-hoc emacs emacs-guix -- emacs --script
>=2E/etc/indent-code=2Eel "${modulename}" "${packagename}"

Thanks for the snippet=2E  I think we should add it to the manual=2E Thoug=
hts?=20
--=20
Sent from my k-9 mail for Android=2E

------YLXSNQMAFJEICUYNMGR80EKS3XEZVE
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">Danny Milosavljevic &lt=
;dannym@scratchpost=2Eorg&gt; skrev: (18 februari 2019 15:41:33 CET)<blockq=
uote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-lef=
t: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail">On Mon, 18 Feb 2019 15:11:37 +0100<br>Tobias Geerinc=
kx-Rice &lt;me@tobias=2Egr&gt; wrote:<br><br><blockquote class=3D"gmail_quo=
te" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; p=
adding-left: 1ex;">pkill -9, Ricardo,<br><br>Ricardo Wurmus wrote:<br><bloc=
kquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-l=
eft: 1px solid #ad7fa8; padding-left: 1ex;">pkill9@runbox=2Ecom writes:  <b=
r><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; b=
order-left: 1px solid #8ae234; padding-left: 1ex;">+     `(#:tests? #f ; No=
 tests=2E  <br></blockquote></blockquote><br>Only nitpicks:<br><br>+     `(=
#:tests? #f                      ; no tests<br><br>If you're using emacs, r=
unning C-M-q on the whole definition will <br>automatically indent your cod=
e=2E  There's a way to do the same <br>without emacs, but I forget how=2E<b=
r></blockquote><br># In guix's git checkout:<br><br>guix environment --fall=
back --ad-hoc emacs emacs-guix -- emacs --script =2E/etc/indent-code=2Eel "=
${modulename}" "${packagename}"<br></pre></blockquote></div><br clear=3D"al=
l">Thanks for the snippet=2E  I think we should add it to the manual=2E Tho=
ughts? <br>-- <br>Sent from my k-9 mail for Android=2E<br></body></html>
------YLXSNQMAFJEICUYNMGR80EKS3XEZVE--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 19 Feb 2019 07:51:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 02:51:42 2019
Received: from localhost ([127.0.0.1]:53791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw0Bm-0007s6-II
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 02:51:42 -0500
Received: from aibo.runbox.com ([91.220.196.211]:45944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gw0Bj-0007ru-K7
 for 34523 <at> debbugs.gnu.org; Tue, 19 Feb 2019 02:51:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:In-Reply-To:Date:Subject:CC:To:From
 :MIME-Version; bh=2v2kJ2zLo9xHIFaOO3hXxme/kfDdk1iM2kdimFIYvhc=; b=Nvkf4aEGBOf
 /0bs2XziEp965R9jSKtvsf6T5q7ULa5BX20sjRSm8L3PcZN1vm02DOhbNxn13KcH8SxOHv6/OkMcK
 rAOwfg4Ze70d8gciGWn5uG/l8LUsx+aZNkXpwPFmW4UlBQ+wTz9dYj4UXKIjfF+e2VsN+BsGjflup
 jVcwnklLvJ2jil7g/CS7sfmxhaTUtgdiPI+IVDK+ruFImdFk6r5kjI6FlxS1Y3EdOBmkXE0VM3XAg
 jdoUQjmzoMib0WLwwGuHlG/nebdusKCaxC13852VKtwS3r6iz8ddI6FcXbMtbQMifntnIsBUwH8cB
 uSrn+0a0FkLAsH1i0W0jF/w==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gw0Be-0006Tf-7f; Tue, 19 Feb 2019 08:51:30 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1gw0Be-0006uJ-6i; Tue, 19 Feb 2019 08:51:30 +0100
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Tue, 19 Feb 2019 07:51:30 GMT
From: <pkill9@HIDDEN>
To: "Tobias Geerinckx-Rice" <me@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Date: Tue, 19 Feb 2019 07:51:30 +0000 (GMT)
X-Mailer: RMM6
In-Reply-To: <87va1hyyna.fsf@nckx>
Content-Type: multipart/mixed; boundary="----------=_1550562690-21040-19"
Message-Id: <E1gw0Be-0006uJ-6i@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 34523
Cc: Ricardo Wurmus <rekado@HIDDEN>, 34523 <34523 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format...

------------=_1550562690-21040-19
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I've attached an updated patch with the modifications suggested so far:

 - Changed license from expat to public-domain
 - Changed "No tests" to lowercase "no tests"
 - Added "no configure file" comment
 - Install Readme files

I indent the package definition in emacs by marking the package definition =
(CTRL+Space) and running `M-x indent-region`, I'm not sure what indentation=
 was wrong with the original patch I submitted, but I ran indent-region on =
it again anyway.

On Mon, 18 Feb 2019 15:11:37 +0100, Tobias Geerinckx-Rice <me@HIDDEN> wr=
ote:

> pkill -9, Ricardo,
>=20
> Ricardo Wurmus wrote:
> > pkill9@HIDDEN writes:
> >> +     `(#:tests? #f ; No tests.
>=20
> Only nitpicks:
>=20
> +     `(#:tests? #f                      ; no tests
>=20
> If you're using emacs, running C-M-q on the whole definition will=20
> automatically indent your code.  There's a way to do the same=20
> without emacs, but I forget how.
>=20
> >> +       #:phases (modify-phases %standard-phases
> >> +                  (delete 'configure)
>=20
> +                  (delete 'configure)   ; no configure script
>=20
> >> +                  (add-after 'unpack 'fix-install-dir
> >> +                    (lambda* (#:key outputs=20
> >> #:allow-other-keys)
> >> +                      (let ((out (assoc-ref outputs "out")))
> >> +                        (mkdir-p (string-append out "/bin"))
> >> +                        (substitute* "Makefile"
> >> +                          (("/usr/games") (string-append out=20
> >> "/bin")))))))))
> >
> > Can this patching be avoided by passing a make flag instead?
>=20
> Nope, it's hard-coded in the Makefile target :-(
>=20
> Considering the lack of a man(ual) page, how about adding=20
> something like:
>=20
>   (add-after 'install 'install-documentation
>     (lambda* (#:key outputs #:allow-other-keys)
>       (let* ((out (assoc-ref outputs "out"))
>              (doc (string-append out "/share/doc/"
>                                  ,name "-" ,version)))
>         (for-each (lambda (file)
>                     (install-file file doc))
>                   (list "README" "tetrinet.txt"))
>         #t))))))
>=20
> Thanks!
>=20
> T G-R



------------=_1550562690-21040-19
Content-Type: text/x-patch; name="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Disposition: attachment;
 filename="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Transfer-Encoding: base64
Content-ID: <28e799f0ff4450110fb012febeb85895>
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------------=_1550562690-21040-19--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 18 Feb 2019 14:41:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 09:41:45 2019
Received: from localhost ([127.0.0.1]:52173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvk76-0003t4-UD
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 09:41:45 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:39082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gvk74-0003su-Cx
 for 34523 <at> debbugs.gnu.org; Mon, 18 Feb 2019 09:41:42 -0500
Received: from localhost (178.112.178.196.wireless.dyn.drei.com
 [178.112.178.196])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id A1D473360A07;
 Mon, 18 Feb 2019 15:41:40 +0100 (CET)
Date: Mon, 18 Feb 2019 15:41:33 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#34523] Add tetrinet
Message-ID: <20190218154133.7f2a122e@HIDDEN>
In-Reply-To: <87va1hyyna.fsf@nckx>
References: <E1gvcri-0006jX-4B@HIDDEN> <87mumtwfgb.fsf@HIDDEN>
 <87va1hyyna.fsf@nckx>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/HWSl5vBYB4UDN7w.A9=.LkE"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <at> debbugs.gnu.org, pkill9@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/HWSl5vBYB4UDN7w.A9=.LkE
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

On Mon, 18 Feb 2019 15:11:37 +0100
Tobias Geerinckx-Rice <me@HIDDEN> wrote:

> pkill -9, Ricardo,
>=20
> Ricardo Wurmus wrote:
> > pkill9@HIDDEN writes: =20
> >> +     `(#:tests? #f ; No tests. =20
>=20
> Only nitpicks:
>=20
> +     `(#:tests? #f                      ; no tests
>=20
> If you're using emacs, running C-M-q on the whole definition will=20
> automatically indent your code.  There's a way to do the same=20
> without emacs, but I forget how.

# In guix's git checkout:

guix environment --fallback --ad-hoc emacs emacs-guix -- emacs --script ./e=
tc/indent-code.el "${modulename}" "${packagename}"

--Sig_/HWSl5vBYB4UDN7w.A9=.LkE
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlxqxB0ACgkQ5xo1VCww
uqWXjgf9HrDw1VBDHGo2f2V5WaEWnmS5/naTcjX9EMhS1wLmfk0Laq+8MBaglRW4
M1YbJM3vnAoBCUrKn6+qttg0FNmlMXjaUoS6a6LjFe9CuuID3AuTxzljrQdo+5B9
HbyUCfR/RnkBlZvnRfH4qh3HV+U7GwEjcQeUS2tj6eoWS/HsQU/RkMmNYWU++Ags
jefp8ENtm7uTCsI4ntaUzYLpEYiGNc5frn+7tXqdhr0iINou3KC/HGHHd95QmdJO
R3Omjo27OvjbKhdgamQWvb0QAF9opn7IGpcy8skpOvm3fIxc4g4GRMcYhwvRiEst
BR7UgV8k041cNIMH9rLXNYlrUJyLog==
=Ljhq
-----END PGP SIGNATURE-----

--Sig_/HWSl5vBYB4UDN7w.A9=.LkE--




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 18 Feb 2019 14:11:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 09:11:48 2019
Received: from localhost ([127.0.0.1]:52165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvje8-000382-95
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 09:11:48 -0500
Received: from tobias.gr ([80.241.217.52]:54062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1gvje4-00037l-1q
 for 34523 <at> debbugs.gnu.org; Mon, 18 Feb 2019 09:11:45 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id c36b35af;
 Mon, 18 Feb 2019 14:11:41 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=SKHzlkgiOnEGGgNYMMrABv
 yw9HGxvIjms0tkoHY5oBQ=; b=YXlXnT3Frv1h6i2Bvi04Osgug/fcYdPxXnxv/N
 bfQyTgPtVlLjxikbV6jBxJOETeSct9rziB6pF4HsgZCRfgLsvOpTJLC+UcjnUziw
 RNvKXQRaeXldJkXxWkjfqCarz8nl2/fJbTLp07O761nRJxYSDBB7KogFLofXktQZ
 4Q4FjUsDHDnSvhp69d9OCNMqS6Iw6ozTFnc7s5qW7P5u13/Nuq67NljN9Yf5WMKN
 LHvOlpe9wZOYKb2UHr9OlW+ajITpQkW1dQeDYVGtCX+vuAfMvB17achOefd6cKq0
 3gECJG5og00BxtWa84wIH/yv6FREola35Nmt5A0fhQCAUBsw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id fe8ee168
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 18 Feb 2019 14:11:39 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: pkill9@HIDDEN
Subject: Re: [bug#34523] Add tetrinet
References: <E1gvcri-0006jX-4B@HIDDEN> <87mumtwfgb.fsf@HIDDEN>
In-reply-to: <87mumtwfgb.fsf@HIDDEN>
Date: Mon, 18 Feb 2019 15:11:37 +0100
Message-ID: <87va1hyyna.fsf@nckx>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34523
Cc: Ricardo Wurmus <rekado@HIDDEN>, 34523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

pkill -9, Ricardo,

Ricardo Wurmus wrote:
> pkill9@HIDDEN writes:
>> +     `(#:tests? #f ; No tests.

Only nitpicks:

+     `(#:tests? #f                      ; no tests

If you're using emacs, running C-M-q on the whole definition will 
automatically indent your code.  There's a way to do the same 
without emacs, but I forget how.

>> +       #:phases (modify-phases %standard-phases
>> +                  (delete 'configure)

+                  (delete 'configure)   ; no configure script

>> +                  (add-after 'unpack 'fix-install-dir
>> +                    (lambda* (#:key outputs 
>> #:allow-other-keys)
>> +                      (let ((out (assoc-ref outputs "out")))
>> +                        (mkdir-p (string-append out "/bin"))
>> +                        (substitute* "Makefile"
>> +                          (("/usr/games") (string-append out 
>> "/bin")))))))))
>
> Can this patching be avoided by passing a make flag instead?

Nope, it's hard-coded in the Makefile target :-(

Considering the lack of a man(ual) page, how about adding 
something like:

  (add-after 'install 'install-documentation
    (lambda* (#:key outputs #:allow-other-keys)
      (let* ((out (assoc-ref outputs "out"))
             (doc (string-append out "/share/doc/"
                                 ,name "-" ,version)))
        (for-each (lambda (file)
                    (install-file file doc))
                  (list "README" "tetrinet.txt"))
        #t))))))

Thanks!

T G-R




Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at 34523 <at> debbugs.gnu.org:


Received: (at 34523) by debbugs.gnu.org; 18 Feb 2019 10:37:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 05:37:15 2019
Received: from localhost ([127.0.0.1]:52123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvgIV-0004AV-2o
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 05:37:15 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21083)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gvgIR-0004AK-8i
 for 34523 <at> debbugs.gnu.org; Mon, 18 Feb 2019 05:37:13 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1550486218; cv=none; d=zoho.com; s=zohoarc; 
 b=eLoAW7ycGSvCuJ7vnS8naFaAOKidxlLr+jVH+Qs1iHLMND3JR88R9ipXYazbGcVfVykkxSZJAVr+OtIKvxJtj4GVyPo8J0bXqbRIc+czuOyKRCB9W6E3nftp1H0/228fx25MHXBJ+Ej8AX5RPZ64//D9Y1A1ebemSIygTpaHtss=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1550486218;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=xACmr3isJ+9aQqwKMNRGDnLkd/J8MGWbO9N64dyqmWo=; 
 b=dUoGSlhvcbEgnX2hdMH6Q70BM0vaPycp7ZVx0BBP5G3W6hbNx4/xJ2hUmf5a8E3QMp5ddWPMvNN+oaeq74AE+Gf4y61P5KwX/p/pliSveRp+/vGsKVcKsU164EGkqCzQyEoC6ft2GpfkdZa23hLOCGuFg+vuphvBQyaRpDVu7RI=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1550486218; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=836; bh=xACmr3isJ+9aQqwKMNRGDnLkd/J8MGWbO9N64dyqmWo=;
 b=H+l61x4OJuU6Bt7HM3dcCYPc00HIcFIyczQXjtb+SSYY6XORnA/xGQebHWlAvIwt
 0vTuRJkPePrNXLff9ZqMJs1jVB99BBWdT2pUUU6XAOycUwoxn8M/VoCpoly+yHjWrOZ
 E8XbkMqVoGaA7cTl4eVrevxijpe2RowovEVlZ4mA=
Received: from localhost (141.80.246.74 [141.80.246.74]) by mx.zohomail.com
 with SMTPS id 1550486216536943.6672710802253;
 Mon, 18 Feb 2019 02:36:56 -0800 (PST)
References: <E1gvcri-0006jX-4B@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: pkill9@HIDDEN
Subject: Re: [bug#34523] Add tetrinet
In-reply-to: <E1gvcri-0006jX-4B@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 18 Feb 2019 11:36:52 +0100
Message-ID: <87mumtwfgb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34523
Cc: 34523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


pkill9@HIDDEN writes:

> The license is written in the README as
>
> ```
> Distribution/license information
> --------------------------------
> This program is public domain, and may be modified and distributed without
> limitation.
> ```
>
> So I don't know what license to put it as, so I set it as 'expat'.

=E2=80=9Cexpat=E2=80=9D is not correct.  Use =E2=80=9Cpublic-domain=E2=80=
=9D instead.

> +       #:phases (modify-phases %standard-phases
> +                  (delete 'configure)
> +                  (add-after 'unpack 'fix-install-dir
> +                    (lambda* (#:key outputs #:allow-other-keys)
> +                      (let ((out (assoc-ref outputs "out")))
> +                        (mkdir-p (string-append out "/bin"))
> +                        (substitute* "Makefile"
> +                          (("/usr/games") (string-append out "/bin")))))=
))))

Can this patching be avoided by passing a make flag instead?

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Feb 2019 06:57:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 01:57:48 2019
Received: from localhost ([127.0.0.1]:51978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvcs8-0007EA-6w
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 01:57:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gvcs2-0007Dt-9h
 for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 01:57:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:48494)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pkill9@HIDDEN>) id 1gvcrw-0003pf-Om
 for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 01:57:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54304)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pkill9@HIDDEN>) id 1gvcrv-0007z5-Mf
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 01:57:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.4 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT, FREEMAIL_FROM, RCVD_IN_DNSWL_LOW, UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pkill9@HIDDEN>) id 1gvcrt-0003nL-O0
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 01:57:35 -0500
Received: from aibo.runbox.com ([91.220.196.211]:33212)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <pkill9@HIDDEN>) id 1gvcrq-0003ff-3t
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 01:57:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:Date:Subject:To:From:MIME-Version; 
 bh=tLWWJ8ck/qDEYbOmwf0DCiAAlsiRT+GMSJWUckqDsHo=; b=Qm8hODVzWOQMpkbqGQnSDxtPi
 La9eE/j1vqpUlHwT8E3LO2Zzst4R8bh9qgMOIAhAv3dZdRibG5njzLUq6pQL97855ZmpvjyHCU0T0
 IoggswtdHnm4yCD7X10oQbHR/YDHyqs3h3DFF8r7j8OYtdv3SGR0QOp/EBEWi2tJTE99Mjk64ZIeT
 MiCsiZhER49ABjUo5baFKL/SrRVRbdXtxpr3YrXW+qvoz2Lz+ja0SLcydq39C9qe/xfbpfLvSD1+x
 KkDtJxTkTqoCIsBObaB6LlIiJxKgLJzukoozUiYGutIk+7B3Hh+bR7YnjJhHbEkqbVGxx2yPGhlzQ
 uVtaQGa2A==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1gvcri-0006et-4x
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 07:57:22 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1gvcri-0006jX-4B
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 07:57:22 +0100
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); for <guix-patches@HIDDEN>; Mon, 18 Feb 2019 06:57:22 GMT
From: <pkill9@HIDDEN>
To: "guix-patches" <guix-patches@HIDDEN>
Subject: Add tetrinet
Date: Mon, 18 Feb 2019 06:57:22 +0000 (GMT)
X-Mailer: RMM6
Content-Type: multipart/mixed; boundary="----------=_1550473042-13941-12"
Message-Id: <E1gvcri-0006jX-4B@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 91.220.196.211
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Tetrinet is a multiplayer tetris game. There are two
 versions:
 a command line implementation and a GTK implementation - this package is
 the command line implementation. http://tetrinet.or.cz/ The license is written
 in the README as 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: mdc-berlin.de]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (pkill9[at]runbox.com)
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=pkill9%40runbox.com; ip=209.51.188.92; r=debbugs.gnu.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (pkill9[at]runbox.com)
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

This is a multi-part message in MIME format...

------------=_1550473042-13941-12
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Tetrinet is a multiplayer tetris game. There are two versions: a command li=
ne implementation and a GTK implementation - this package is the command li=
ne implementation. http://tetrinet.or.cz/

The license is written in the README as

```
Distribution/license information
--------------------------------
This program is public domain, and may be modified and distributed without
limitation.
```

So I don't know what license to put it as, so I set it as 'expat'.=

------------=_1550473042-13941-12
Content-Type: text/x-patch; name="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Disposition: attachment;
 filename="=?UTF-8?Q?0001-gnu-Add-tetrinet.patch?="
Content-Transfer-Encoding: base64
Content-ID: <4f3e34452b035d2746f182848bd197c4>
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------------=_1550473042-13941-12--




Acknowledgement sent to <pkill9@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34523; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.